
  Release 1.1.15

 o FEATURE: Drag and drop (partial - it works from the file browser,
            but not from CCP4i2)

 o FEATURE: set_use_vertex_gradients_for_map_normals() added to the Coot API

 o CHANGE:  Fixed atoms are now draggable

 o CHANGE:  max-closeness is no longer used to filter peaks in map_peaks_py()

 o CHANGE:  Backtick for selection now also shows the residue range
            (if set)

 o BUG-FIX: Track-pad zooming fixed

 o BUG-FIX: Residue Info dialog buttons now on the right hand side

 o BUG-FIX: Fix and Unfix atom now work as expected

 o BUG-FIX: Remove erroneous "No ligands Found" dialog when ligand fitting

 o BUG-FIX: Select Map for Fitting dialog now behaves has expected
            on reopen

 o BUG-FIX: Merge Molecules dialog now behaves has expected on reopen

 o BUG-FIX: Choose a better contour level for masked maps

-----

  Release 1.1.14

  o FEATURE: Clark&Labute-like 2D-ligand environment view in Coot,
             Moorhen and chapi

  o FEATURE: Symmetry represented as solid model (no longer just lines)

  o FEATURE: PAE Plots on downloading Alphafold models

  o FEATURE: new chapi functions:

    is_nucleic_acid()
    delete_all_carbohydrate()

  o FEATURE: Setting the primary mouse button for view rotation enables
             secondary mouse button for zoom (like Old Coot)

  o CHANGE:  chapi modules name now changed to coot_headless_api
             so that the molecules_container object can be called
             chapi

  o CHANGE:  Alphafold downloads are now XDG Base Directory compliant

  o BUG-FIX: NCS-jumping has been fixed - Bernhard Lohkamp

  o BUG-FIX: unwritable XDG cache dir now longer causes a crash
             [Jordan Dialpuri]

  o BUG-FIX: Shader for drawing ribbons

  o BUG-FIX: About and Preferences dialogs can now be properly closed.

  o BUG-FIX: Texture handling for bad NBC markers updated [Fixes crash]

-----

  Release 1.1.13

  o FEATURE: new chapi functions:

     get_svg_for_2d_ligand_environment_view()
     get_HOLE()
     scale_map()
     nucleic acids now work with add_terminal_residue()
     Sticks and dishy bases are not drawn for atoms not in selection

  o FEATURE: Non-drawn maps are not recontoured on view translation, they
             now wait until the map is displayed.
             [Elegant-Land-8008]

  o FUNCTION-RESTORED: When "Spacing" along a chain, the CA label follows

  o FUNCTION-RESTORED: SSM dialog now works

  o FUNCTION-RESTORED: NCS Ghosts dialog now works

  o BUG-FIX: missing shader for instanced geometry for SSAO added back

  o COMPILATION: the issue for graphics_info_t::scale_up_graphics has
                 been resolved

-----

  Release 1.1.12

  o TERMINAL OUTPUT: Coot's startup, in particular the graphics and Python, have
    lately been problematic (i.e. flaky/broken).  Different operating systems,
    different drivers, and different versions of Python add to the complexity.
    We have spent quite some time refactoring this - and especially so in the
    last few weeks. To help understand what is going wrong on startup I have
    increased the amount of diagnostic information on the terminal - so it's a
    bit ugly at the moment.
    When issues have been resolved and the startup is stable, I will reduce/remove
    the diagnostics.

  o FEATURE: new chapi functions:

    add_terminal_residue_directly()
    copy_molecule()
    flood()
    get_validation_vs_dictionary_for_selection()
    servalcat_refine_xray()
    get_torsion()
    change_alt_locs()
    split_residue_using_map()
    get_missing_residue_ranges()
    get_mutation_info()
    set_temperature_factor_using_cid()
    Pythonic API:
       https://www.mrc-lmb.cam.ac.uk/lucrezia/libcootapi-documentation/api.html
    C++ API:
       https://www2.mrc-lmb.cam.ac.uk/personal/pemsley/coot/docs/api/html/

  o FEATURE: New Coot API functions:

    set_new_non_drawn_bonds()
    add_new_non_draw_bonds()

  o FEATURE: Added graphics viewport scaling

  o FEATURE: Added Acedrg link interface

  o FEATURE: HOLE interface has been restored

  o FEATURE: Transform map by LSQ model fit has been restored

  o BUG-FIX: --code <accession-code> now works again after XDG Directory Protocol
             update

  o BUG-FIX: Fix the use of the no-recentre-view in coordinate file open dialog

  o BUG-FIX: Contact dots for ligands now show ligand donor to water H-bonds

  o BUG-FIX: One can no longer refine using a CCD dictionary [Lorenzo Masso]

  o BUG-FIX: Use the correct shader for surfaces in "Plain" mode

  o BUG-FIX: LSQ Fit dialog now works

  o BUG-FIX: CYS with hydrogen atoms no longer try to make SS bonds
             [Jordan Dialpuri]

  o BUG-FIX: End-of-chain TER atom now removed on adding a new terminal residue

  o BUG-FIX: Dark mode icons now work in Layla

  o BUG-FIX: Use a wider window on startup on macOS

  o BUG-FIX: Global Phasing column labels F_early-late now auto-read

  o BUG-FIX: Delete Hydrogen atom in Layla now works

  o CHANGE:  Remove/reduce framebuffer usage in --opengl-es mode

  o CHANGE:  Module menus depthonized

  o CHANGE:  Overlay added for Cryo-EM "Flip Hand" tool

  o CHANGE:  Pythonic start-up has been changed - hopefully improved

  o KNOWN-BUGS: Ramachandran Plot display on (some?) macOS


-----

  Release 1.1.11

  o FEATURE: One can now dynamically edit SMILES in layla

  o FEATURE: Anisotropic atom representation
             [thanks to Global Phasing]

  o FEATURE: Better linking across sequence gaps in RNA and DNA

  o FEATURE: Electrostatic representation [Stuart McNicholas]

  o FEATURE: Acedrg atom types are now parsed from dictionaries

  o FEATURE: Function partition_map_by_chain() added

  o OTHER:   Various non-user-visible changes for Flatpak compatibility

-----

  Release 1.1.10

  o FEATURE: Noughties-physics - add a refinement/atom manipulation mode
             so that Coot behaves like it used to up to (and including)
             version 0.8.x:
             coot.set_refine_use_noughties_physics()

  o FEATURE: Layla now displays QED Scores for molecules

  o FEATURE: read_coordinates() added to the Coot API

  o FEATURE: Cryo-EM servalcat use added to the Coot API

  o CHANGE:  Network download files now follow the XDG Base Directory Protocol

  o CHANGE:  HUD Ramachandran Plot is now pickable

  o CHANGE:  Ligands with no dictionary are drawn with bonds in "Colour by Chain"
             mode

  o CHANGE:  Python requests is no longer a dependency

  o BUG-FIX: Scroll wheel indicator in the Display Manager now correctly updates
             on use of a key-binding to change the scrollable map

  o BUG-FIX: Ugly least-squares fit dialog has been modernized.

  o BUG-FIX: Fix the callback actions for the "Display Hydrogen Atoms" in
             the Bonds control dialog.

  o BUG-FIX: rework the calculation of pkg_data_dir() - particularly in the
             case of relocatable binaries

-----


  Release 1.1.09

  o FEATURE: Coot is now a (mostly) XDG Base Directory-compliant application
             [guano-be-gone]

  o FEATURE: tomo_section_view() function added to the api

  o FEATURE: to_generic_object_add_points() added to the api (so that many point
             can now be added quickly)

  o FEATURE: generic_object_mesh_calculate_normals() function added to the API.
             This averages winding-based normals for shared vertices.

  o CHANGE:  In "configure" relocatable binaries are no longer enabled by default.
             Use --enable-relocatable-binaries to turn them on if needed.

  o CHANGE:  rework logic of the glyco chiral test for BETA1-6 and ALPHA1-6 links
             [Markus Meier]

  o CHANGE:  "Replace Residue" now works as an overlay

  o CHANGE:  Allow bonding of HET-groups in polymer bonds

  o CHANGE:  mmrrcc renamed to coot-mmrrcc

  o CHANGE:  The ligand/solvent molecule is now closed after being added with
             jiggle-fit

  o CHANGE:  Add a key-binding for "Residue Info" (Ctrl-I)

  o CHANGE:  Executable name changed from "coot-bin" to MacCoot on macOS

  o BUG-FIX: Fix Change Chain ID GUI (thanks Simon Vecchioni)

  o BUG-FIX: "Add Terminal Residue" now works for RNA and DNA

  o BUG-FIX: Fix all-atom refinement mode

----


  Release 1.1.08

  o FEATURE: Scene Presets added to the Draw menu

  o CHANGE:  "Mutate" is now a button so that it can now be
     used to mutate RNA and DNA.

  o BUG-FIX: mutate_by_overlap() fixed [thanks Simon Vecchioni]

  o BUG-FIX: The "Generic Display Objects" dialog now dynamically
      updates (no need to close it an open it again to see new
      generic display objects).

  o BUG-FIX: Undisplaying a model while the Display Manager dialog
       is not displayed now correctly sets the state of the Display
       checkbutton.

----

  Release 1.1.07

  No user-visible changes

----

  Release 1.1.06

  No user-visible changes

----

  Release 1.1.05

  No user-visible changes

----

  Release 1.1.04

  o FEATURE: Particle effects for done difference map peaks

  o CHANGE:  Refinement cannot now proceed if there are no bond restraints for any
             of the refining residues

  o BUG-FIX: Add coot namespace to state save file

  o BUG-FIX: Fix symmetry of difference map peaks

----

  Release 1.1.03

  o FEATURE: outline active residue on leftquote

  o FEATURE: Shortcuts dialog

  o FEATURE: Goodsell NCS colouring mode

  o FEATURE: Improved Gaussian surfaces

  o FEATURE: Generic objects are now part of SSAO and shadow framebuffers

  o FEATURE: "Coot Points" added to updating difference maps

  o FEATURE: Animate the removal of NBC outliers

  o FEATURE: Semi-dark background mode

  o CHANGE:  Layla updates

  o BUG-FIX: command line arguments are now recognised

  o BUG-FIX: Limit the radius of water atoms

  o BUG-FIX: Fixup for rigid-body fit toolbar buttons

  o BUG-FIX: Trackpad-mode no only for Mac

  o BUG-FIX: Add handler for trans-peptide and planar peptide refinement checkbuttons

----

  Release 1.1.02

  o BUG-FIX: Configuration of guile

----

  Release 1.1.01

  o BUG-FIX: Added an operator<() function for density_correlation_stats_info_t
             to fix compilation issue.
             [Yoshitaka Moriwaki]

----

  Release 1.1

18 months after the release of Coot 1 it's time for Coot 1.1

Coot 1.1 is a major change beyond Coot 1. It has required a lot of
writing and rewriting and has been the focus of my work since last year.

Technically (but briefly) we have rewritten the GUI again so that it is
now is based on GTK4 (Coot 1 used GTK3). This has meant a lot of rewiring
under the hood so that things behave similar to before [1].

Many things, that is. Not all things. There are a few important
differences - they are for the better (although you may not initially
think so).

   o View rotation is on right-mouse (except on Mac).
   o Functions are activate in "Select First" mode (that means bringing
     the atom/residue/chain of interest to the centre of the screen)
     and then choosing the function. This is more consistent with the
     use of hot-key/key-bindings.
   o Widget "focus" is different in GTK4 - I don't yet fully understand it
     at the moment, so, in case Coot "forgets" to revert focus back to the
     main graphics widget, there is a "Grab Focus" button in the horizontal
     toolbar.
   o Many of the menu items have been moved around. Now they are far more
     likely to be where they will finally end up.
   o "Modelling" (as we like to label it in the UK) has its own top-level.
   o "Modules" is now also on the top-level instead of being in the
     "Calculate" menu.

Not everything made it:

   o "Symmetry by Molecule" has been removed (for the moment).
   o RCrane and the glycan builder have yet to be brought back to working
     order.
   o FLEV, QED breakouts and Chemical Feature Clusters are still missing.
   o The PISA interface is missing.

I am grateful for the contributions from Jakub Smulski for help with
this over the last year and to Global Phasing for the funding. Martin
Noble has written the ribbon and surface representation code.

At the moment, the terminal output is a bit verbose with debugging output.
That will be reduced or removed in due course.

Although I've not tried it, I hope/expect that this Coot will run very
sweetly on a M2 Pro MacBook Pro... "M2 good, M3 better" - I suppose?

Binaries:

   Binaries have always been issue with Coot. The problem is that a
   project of the scale of Coot needs (at least) 3 people [2],
     o one for the scientific developments/new algorithms and publications
     o one for the development of the GUI (and graphics in the case of Coot)
     o one for the deployment of binaries - it takes time to produce binaries
       for numerous versions of numerous operating systems and the many
       changing/improving dependencies (to me this feels like a constantly
       changing, never complete jigsaw puzzle)
   And, although I recognise its importance, I just keep dropping the ball
   for the third one (is has little intrinsic pleasure for me and is
   completely invisible career-wise).

   Coot on "Linux":

      There is a build-script, build-coot-3-3 that works for me, soup to
      nuts on a modern Ubuntu system. Not so much on Fedora though. I will
      try to help if you try this method and things go wrong. Python and
      its add-ons are exquisitely tricky to build and is not well documented,
      however [3].

      https://raw.githubusercontent.com/pemsley/coot/main/build-it-3-3

   Coot on macOS:

      Some Mac users might like to consider using Homebrew. At some stage
      I hope that
         $ brew install coot
      will (just) work. But that will involve input from by Yoshitaka
      Moriwaki who is looking after Coot in Homebrew (that might take a
      month or two).  Right now, Mac-using homebrew-using Coot
      enthusiasts can follow issue 33 on github:
      https://github.com/pemsley/coot/issues/33

   Coot on "Windows":

      Bernhard Lohkamp is the font of all wisdom when it comes to
      WinCoot. He will let us know his schedule. (Within a month though,
      that is my understanding.)

   via CCP4:

      In the coming weeks CCP4 will review Coot 1.1 and decide if it is
      acceptable to be added to the suite. If approved, that is the path
      of least effort for me and many users.

What about 0.9.x?

   I will maintain the back-end/libraries until April 2024, then I will
   reassess. It's just too much trouble to change the GUI though.

Future:

   With such a massive change set [4], there are bound to be bugs, so I imagine
   a flurry of patch releases in the forthcoming weeks.

   With this bad boy [5] out the door and with Lucrezia Catapano coming
   back on-line I can spend more time on Moorhen [6] and the Blender
   interface - hooray!

   If you've got this far and can get this Coot to run, I have added an Easter
   Egg for today (I'll tell you what it is: coot.halloween()).

[1] To give you an idea of the scope of this work (and the speed at which the
    interface for Coot was implemented) look how long it takes to rewrite a
    GUI:
    https://fosspost.org/gtk-4-0-released/
[2] According to a Basic COCOMO model I found, a project of this size is the
    output that can be expected from a team of 300 working for 56 months (make
    of that what you will)
[3] https://www.bassi.io/articles/2022/12/02/on-pygobject
[4] The patch to go from 0.9.8.92 to 1.1 is 850k lines
[5] meanings 3 and 4 in the wiktionary
[6] moorhen.org

----
  Release 0.9.8.94

  o CHANGE: Add a more informative message on failure to generate rtop in
      transform-map-using-lsq-matrix [Martin Maly]

  o CHANGE: The pyranose link restraints logic has changed - hopefully more
      accurate now [Andrey Lebedev]

  o BUG-FIX: the logic of the glyco-tree glyco chiral test for ALPHA1-6 and
     BETA1-6 has been reversed (i.e. corrected) [Markus Meier]

---

  Release 0.9.8.93

 o CHANGE:  Electrostatic surface removed from the UI

 o CHANGE:  Clean-up for the residue selection in peptide omega analysis (don't draw
            cis-peptides for residues that are not peptides)

 o BUG-FIX: Fix erroneous mutation of DNA bases to RNA bases in mutate-residue-range
            [Keitaro Yamashita]

 o BUG-FIX: Add back the negative map contour levels into the input file for Raster3d

 o BUG-FIX: Atom-name fix-up for "HH" in TYR - now TYR with hydrogen atoms can be refined.

----

  Release 0.9.8.92

 o FEATURE: Added copy_from_ncs_master_to_specific_other_chains_py(). Now one can update
            (only) specific peer chains (instead of all of them as was previously the case)
            [Oli Clarke]

 o BUG-FIX: Change the linking code once more - fixes erroneous DNA+protein links
            [Keitaro Yamashita].

----

 Release 0.9.8.91

 o BUG-FIX: Restore missing peptide omega plot [Steven Sheriff]

 o BUG-FIX: Check/Delete waters no longer considers hydrogen atoms in close-contact analysis

 o BUG-FIX: Replace Residue works for residues in the B chain [Paul Bond]

----

  Release 0.9.8.9

  o FEATURE: Use add_hydrogen_atoms_to_residue() in mutate_internal() if the residue
             has hydrogen atoms [Clemens Vonrhein].

  o FEATURE: Add add_hydrogen_atoms_to_residue() to the API.

  o CHANGE:  Allow the addition of hydrogen atoms to nitrogen atoms with energy
             type NR5.

  o CHANGE:  Remove flaky Biscu-it QED interface.

  o BUG-FIX: Change the link-finding algorithm to handle the AA-RNA link in
             the new monomer library [Keitaro Yamashita].

----

  Release 0.9.8.8

  o FEATURE: Better atom colours in colour-by-chain-and-dictionary mode.

  o CHANGE:  Monomer search now uses the new dictionary

  o CHANGE:  Molecules read in as mmCIF (.cif) are now by default saved as .cif

  o CHANGE:  Atoms with element "Cl" are now drawn as CL.

  o BUG-FIX: the zoom state is now correctly set in the saved state file

  o BUG-FIX: additional symmetry check for peaks from flood filling (Paul Bond)

  o BUG-FIX: Link-generation improvements.

----

  Release 0.9.8.7

  o FEATURE: res_tracer() added to the API

  o FEATURE: read_mtz() added to the API [ChatGPT guessed at this function name, and there is
             no reason for it not to be there]

  o BUG-FIX: PDBe URLs fixed for downloading dictionaries with pyrogen

  o BUG-FIX: Carbohydrate Linking fixed again [Keitaro Yamashita and others]

  o BUG-FIX: RNA linking fixed [Keitaro Yamashita and Andrey Lebadev]

  o NOTE: Coot is now tested against the new monomer library.

----

  Release 0.9.8.6

  o CHANGE:  More auto-read column pairs added [Clemens Vonrhein]

  o BUG-FIX: Adding a K to a molecule put the atom name in the correct column
             [John Smith, Steven Sheriff]

  o BUG-FIX: Carbohydrate Linking fixed [Keitaro Yamashita and others]

  o BUG-FIX: delete_hydrogen_atoms() deletes deuterium atoms also [Lucrezia Catapano]

----

   Release 1.0.06

  o FEATURE: Add user-define colours to molecular ribbons representation.

  o FEATURE: AlphaFold pLDDT colour scheme.

  o FEATURE: Added load_gltf_mode() to the API.

----

  Release 0.9.8.4
  Release 0.9.8.5

  o FEATURE: AlphaFold pLDDT colour scheme.

  o CHANGE:  Don't load files from ~/.coot if it is a directory.

  o CHANGE:  Don't consider carbonyl oxygens in merge fragments.

  o CHANGE:  Waters have a larger radius.

  o CHANGE:  Added bad NBC interaction annotation.

  o BUG-FIX: Atom picking is no longer allowed in "Edit Chi Angles."
             Thanks Juno Krahn.

  o BUG-FIX: configure improvement for checking Python.
             Thanks Juno Krahn.

  o BUG-FIX: mutate_residue_range() now in the coot namesspace in auto_assign_sequence_from_map()

  o CHANGE:  Inter-chain links can now be refined. [Keitaro Yamashita]

  o BUG-FIX: Reenable the picking of hydrogen atoms in rotation/translation
             Thank you Taro Yamada.

  o BUG-FIX: Fix up interesting_residues_gui(). Fixes problem in "Residues with Missing Atoms"
             Reported by EJD.

  o BUG-FIX: The GL Ramachandran plot is only displayed during refinement.


----

   Release 1.0.05

   o FEATURE: Contour level is now added to the status bar

   o FEATURE: spin speed is now user-settable

   o FEATURE: "mask by chain" added to Cryo-EM module

   o FEATURE: Difference Map Peaks now has an "Update" button (should your difference
              map change) [Sam Horrell]

   o FEATURE: ability to change map colour by hexcolour

   o FEATURE: triple-refine auto-accept key-binding added (H)

   o FEATURE: "Outline" mode added to shader

   o FEATURE: Window resize buttons added to the interface for Mac OS - don't pull on
              the window, use these instead

   o CHANGE: Rotamer markup during RSR now on by default

   o CHANGE: Remove map colour change menu items

   o CHANGE: Residue Info dialog now reports the chain-id and residue number

   o CHANGE: Shaders are initialized after framebuffer - should now validate correctly
             on Mac OS

   o CHANGE: clipping plane adjustment step size decreased in perspective mode

   o CHANGE: dialogs now filter files by default and save/restore previous directory

   o BUG-FIX: Renumber residue range dialog fixed

   o BUG-FIX: Ribbon representation checkbuttons no longer can grab focus

   o BUG-FIX: right-mouse during refinement no longer picks atoms

   o BUG-FIX: anchored atoms now displayed correctly

   o BUG-FIX: Unmodelled blobs dialog fixed

----

   Release 1.0.04

   o configure of backward improved

----

   Release 1.0.03

  o FEATURE: backward can be configured to use libdw if available
    -DBACKWARD_HAS_DW=1 added to CXXFLAGS

  o BUG-FIX: "Validation Outliers" dialog now works

  o BUG-FIX: "Ramachandran Outliers" dialog now works

  o BUG-FIX: GL Ramachandran Plot now clickable after window resize

  o BUG-FIX: coot python module improved

  o BUG-FIX: Views Panel improved

  o BUG-FIX: Display Manager window no longer blank on re-opening

  o BUG-FIX: Dynarama glade file now installed correctly - Ramachandran plots now
             work [Charles Ballard]

----

   Release 1.0.02

   o BUG-FIX: sort out the coot_wrap*.cc files

----

   Release 1.0.01

   o FEATURE:  Space during RSR clicks the OK button

   o FEATURE:  NCS Ghosts now work again

   o BUG-FIX:  Add missing header files [Hew Jenkins]

   o BUG-FIX:  Don't rotate the view during RSR atom pull on Mac OS.

   o BUG-FIX:  Fix Pyrogen Oxygen atom types

   o BUG-FIX:  geometry_graphs_builder.glade installed correctly [Charles Ballard]

   o BUG-FIX:  Calculate -> Run Script dialog now works

   o BUG-FIX:  Draw -> Screenshot -> Simple now works (uses the "Plain" framebuffer)

   o BUG-FIX:  Removed some debugging

----

    Coot 1

18 years after the release of Coot 0 it's time that I actually released Coot 1.

Coot 1 is a major change beyond Coot 0. It has required a lot of writing and rewriting [1]
and has been the preponderance of my work since 2017. I have had to learn how to program
graphics from scratch using the new style. Much of the GUI internals has been
rewritten [2].

My experience with 0.9 was that I sat on it, bug-fixing for a long time, releasing it
too late. I don't want to repeat that mistake. So here we are, there's a lot of good new
stuff in Coot 1, but it's not as slick as it might be (or will become).

  o Update graphics to use OpenGL 3.3
  o Update Python to use version 3.9
  o Update GTK+ to use version 3

While many of the features that were available in 0.9.x have been reworked or
reimplemented, there are some gaps. Dropped features include Cross-hairs, Stereo, Pisa
interface, built-in key-bindings, NCS Ghosts, Edit Phi/Psi, antialiasing, Kleywegt
plots, the clipping dialog, Chemical Feature Clustering, Dynamically-Transformed/NCS
Maps, LSQ plane distances, dynamic distances, CABLAM-markup, the test suite,
user-defined colour schemes, anisotropic atoms, CURLEW, Scheme GUI scripting,
Skeletonization and Baton-Building.

"So, is there anything that _does_ work?" - you might ask...

The GUI has been updated, I have tried to cut down on the number of dialogs, the Real
Space Refinement in particular has seen quite a lot of work. The GUI now uses dark mode
if the theme is installed [3]. Several menu items have been relocated. More menus are now
alphabetically ordered [4].

The graphics is, by default, now based on triangles instead of lines which affords a
more pleasing representation (density maps can be represented using both modes) and one
can have a more expeditious if not pleasant experience with a fast graphics card and a
big screen. The various graphics effects and filters can be tailored to some extent by
changing the configuration using the GUI or by editing/replacing the shaders.
Full-screen mode is now an option [5].

Overall, the GUI has only had light testing. At the moment, it's probably best to
avoid closing dialogs using the window manager. The "OK" button now appears after the
"Cancel" button in dialogs.

Python scripting now has uses a history from previous sessions and the functions need
to be used with namespaces/modules (e.g. "coot", or "coot_utils"). Coot (or coot) is
now a module that can be imported into python.

This build compiles with the RDKit and optionally MoleculestoTriangles from Martin Noble.

The map and the model can now be exported to glTF files (for use in Blender and other
3D modelling software).

The build script for Coot 1, called build-it-3-3 can be found in the "Build from Scratch"
menu on the web page (you will need to have already installed cmake and Gtk+). The catch
though is that (at least in my hands) Python and friends are frustratingly difficult to
install, so it's possible/likely that the build script won't work. Likewise,
the script doesn't work for Mac OS either. But it is currently the best method to get
binaries so I will support it if you try it [6]. (Homebrew might be another method.)

Bernhard Lohkamp has been working on the WinCoot version - I will defer WinCoot
questions to him.

Mac Coot is now native (no X11/XQuartz needed). I would be interested to see how a
natively-compiled [7] version works on a M1 Max processor [8,9].

Judging from previous experience, a few rapid iterations of bug-fix releases will be
needed. After this, the version numbers will become sane - it's my plan to release a new
major version every year or so.

[1] new as in OpenGL 3.3 or later - using shaders - I don't mean Vulkan (that's for the
    future)
[2] the patch from the 0.9.x version is 285k lines
[3] I recommend it
[4] rather than chronologically
[5] double-tap Esc key (the first time) to revert to standard display
[6] I have be working with CCP4 collaborators to use their system to build Coot binaries.
    Hopefully the binaries will be available stand-alone, as well as integrated into
    the CCP4 Suite via that method
[7] so that's a different meaning of "native"
[8] the little testing I have done on a recent intel MacBook Pro shows unimpressive
    performance (Iris graphics, retina display)
[9] Thanks to my Mac-using colleagues for their feedback.

----

  Release 0.9.8.4 [Fumbled release]

----

  Release 0.9.8.3 [Fumbled release]

----


  Release 0.9.8.2

  o CHANGE:   Don't try to read ~/.coot on startup if it is a directory

  o BUG-FIX:  Regenerate the bonds after a cis-trans conversion

  o BUG-FIX:  Fix crash on picking intermediate atoms in Real Space Refinement
              [Nikos Pinotsis]

  o BUG-FIX:  Hydrogen atoms are now pickable again in Rotation/Translation
              [Taro Yamada]

----

  Release 0.9.8.1

  o BUG-FIX:  Python test for averaged maps fixed

  o BUG-FIX:  Pythonic and scheme get_drug() function fixed

  o BUG-FIX: downloaded curlew files are now copied, not renamed.

----

  Release 0.9.8

  o BUG-FIX:  Fix python extension scripts

  o BUG-FIX:  Fix active item in Bond Parameters bond-width combobox

  o BUG-FIX:  Now can parse cif files with long molecule names (Eugene Krissinel)

  o BUG-FIX:  Fix bond orders in RNA and DNA

  o BUG-FIX:  Fix crash when parsing data_lib in mmcif files

  o BUG-FIX:  Fix Wikipedia redirect of molecule name

  o BUG-FIX:  rename() is no longer used when installing curlew files

  o BUG-FIX:  Fix crash on using the Generic Objects dialog Close button

----

Release 0.9.7

  o FEATURE: Add angles in coot-ligand-validation

  o FEATURE: "Updating Maps" added to the API and GUI

  o FEATURE: Stereo style can now be switched back to how it used to be in 2010 [Dirk Kostrewa]

  o CHANGE:  Better B-factors for added waters

  o CHANGE:  Windows build script updates

  o CHANGE:  RSR GM restraints now filtered by distance difference

  o BUG-FIX: Python GUI and updates to match scheme version - now pyrogen work on Windows

  o BUG-FIX: Fix gui simple mutation crash [John Bollinger].

  o BUG-FIX: add a null function (no-coot-tips) for those that have this in their startup scripts

  o BUG-FIX: Fix crash when coot tries to exit while the refinement is still refining [James Holton]

----


  Release 0.9.6

  o FEATURE: Middle-mouse and double-clicking on moving atoms is now enabled
             (for recentre and label)

  o FEATURE: -P mode added to pyrogen (no coordinates optimization)

  o FEATURE: model_correlation_stats_per_residue_range() added to the API

  o FEATURE: Molecular (i.e. not crystallographic) symmetry added

  o FEATURE: coot-find-ligand has a mode to merely generate conformers

  o FEATURE: added function to the API to flip the side-chain of the active atom
             of the moving atoms: side-chain-flip-180-intermediate-atoms
             [Oliver Clarke]

  o FEATURE: New program coot-identify-protein, identifies a protein from a poly-ALA
             fragment and a set of sequences

  o CHANGE:  Adjust the NBC model once more for 1-4 atoms involving Hydrogen atoms

  o CHANGE:  Water-water contacts are now considered by default in atom overlap analysis

  o CHANGE:  Adjust the initial RSR step size (no more wild water refinement)

  o CHANGE:  Increase the initial step size for refinement for large fragments

  o CHANGE:  Post-refinement restraints analysis added

  o CHANGE:  Trans-peptide restraints added/removed as needed for cis-trans conversion
             of intermediate atoms

  o CHANGE:  API accept_moving_atoms() can now return the refinement results

  o CHANGE:  Remove libcheck as a restraints generator option

  o CHANGE:  Turn off EM-mode for PANDDA maps (Frank von Delft)

  o CHANGE:  "Residues with missing atoms" function no longer considers OP3. Additionally,
             missing atom names are written to the terminal (Lothar Essar)

  o CHANGE:  MMFF94 target geometry now used in minimization in pyrogen by default

  o CHANGE:  Atom Overlaps optional toolbutton added

  o BUG-FIX: Linking (shell) to the Coot executable now works (Marcin Wodjyr)

  o BUG-FIX: --ccp4 mode fixed/improved

  o BUG-FIX: Clean up bit-rotten chemical feature clustering

  o BUG-FIX: rotamer-fit now runs the post-manipulation hook

  o BUG-FIX: No longer fail to load scheme scripts if the user-name is not in the passwd file

  o BUG-FIX: Better crash-catcher diagnostics (thanks Kevin Cowtan)

  o BUG-FIX: Chiral restraints improved in pyrogen (Rob Nicholls)

  o BUG-FIX: add-hydrogen-atoms no longer adds a hydrogen atom to an CYS SG if it is linked

----

  Release 0.9.5

  o FEATURE: Search monomer library has images

  o FEATURE: New comamnd-line program coot-ligand-validation

  o FEATURE: Add "Label Atoms in Residue" menu item

  o FEATURE: Add command line argument --run-state-script

  o FEATURE: Add function set_torsion_restraints_weight() to the API

  o FEATURE: Real space refinement now has dynamic weights (under More Control)

  o CHANGE:  Fall-back to monomer atoms for the chemical diagram when there are missing
             atoms in the model for hetgroups

  o CHANGE:  Scheme interface to refmac is now non-blocking

  o CHANGE:  set_map_is_difference_map() function now takes an argument (so that you can now
             say that a map is not a difference map)

  o CHANGE:  Map density histogram is now improved

  o CHANGE:  1-4 Non-bonded contacts adjusted

  o CHANGE:  Chiral volume sigma reduced to 0.1 A^3

  o CHANGE:  Change the configuration of RDKit in configure
             Now use --with-enhanced-ligand-tools and --with-rdkit-prefix=prfx

  o BUG-FIX: fix up the use of residue-exists? in mutate-it

  o BUG-FIX: installation of side-chain data [thanks John Bollinger]

  o BUG-FIX: refine_zone() on a single residue works again

----

  Release 0.9.4.1

  o BUG-FIX: Fix crash on reading some CCP4/MRC maps

  o BUG-FIX: Colour-by-chain fixed again: now respects the draw-missing-residues-loops
             setting

  o BUG-FIX: Fix the installation of side-chain-data

----

  Release 0.9.4

  o FEATURE: Add function for Backrub Rotamer for chain

  o FEATURE: Faster reading of maps for cryo-EM reconstructions

  o FEATURE: Add "no-recontour on panning" mode

  o FEATURE: function add_hydrogens_atoms() added to the API

  o FEATURE: function assign_sequence_to_active_fragment() added to the API

  o FEATURE: Add "Atom Overlaps" to the Validation menu

  o FEATURE: Add an entry for weight change in the active map selection dialog

  o CHANGE:  Remove Prodrg-ify from the interface

  o CHANGE:  Better application of Ramachandran restraints

  o CHANGE:  Link with latest and greatest version of Python 2

  o CHANGE:  Fill partial residues now faster as residues are now refined at the same time

  o CHANGE:  API function change argument order for add_OXT_to_residue()

  o CHANGE   N-linked glycosylation feature: weight change. Now more robust and useful
             in cryo-EM

  o CHANGE:  Represent formal charge in the restraints editor. Remove partial charge.

  o BUG-FIX: globularize() now works for nucleic acid chains

  o BUG-FIX: Fix up the "Dock Sequence" dialog - now is called "Assign Sequence"

  o BUG-FIX: Colour-by-chain colours fixed again

  o BUG-FIX: Conditionally delete OP3 when extending nucleotide chains

  o BUG-FIX: Fix up hardware stereo

----

  Release 0.9.3

  o BUG-FIX: Colour-by-chain colours no longer run out [Huw Jenkins]

  o BUG-FIX: undo-redo no longer creates duplicate atoms when
             using cif files

----

  Release 0.9.2

  o BUG-FIX: Fix crash in raster3d output [Vito Calderone]

  o BUG-FIX: Colour-by-B-factor modes fixed and improved

  o BUG-FIX: Fix atom colours in Colour-by-Chain mode

----

  Release 0.9.1

  o FEATURE: fat atoms for some metals and halides

  o FEATURE: add a "Rescale" entry and button for the density fit validation graph

  o FEATURE: add label_closest_atoms_in_neighbour_residues to the API and added to the Draw menu

  o FEATURE: missing-residue loops can now be undisplayed: set_draw_missing_residues_loops()

  o FEATURE: find pep-flips using based on difference map

  o FEATURE: Add "Proportional editing" for atom-pull neighbour displacement
             [c.f. Tristan's ISOLDE]. Use Ctrl-scroll to change the radius

  o FEATURE: carbon atoms in Colour-by-Chain mode have their own colour index

  o FEATURE: add a menu items for the addition of hydrogen atoms

  o FEATURE: backup file names can now be decolonized

  o FEATURE: flip_hand() function added - for reversing the hand of Cryo-EM maps

  o FEATURE: add "backward" for better core dump reporting

  o FEATURE: "Delete Residue" added - bound to Ctrl-D

  o FEATURE: add_nucleotide() added to the API [Gianluca Cascarano]

  o FEATURE: Distances added to raster3d output [Vito Calderone]

  o CHANGE: Waters can no longer be placed directly on top of another atom

  o CHANGE: Sequence view is docked by default - now with current-residue highlighting

  o CHANGE: Bond orders used for colour-by-chain mode

  o CHANGE: Increase weight on atom-pull restraint

  o CHANGE: More sane rotation Ctrl-base rotation in Rotation/Translation mode [Mattias Barone]

  o CHANGE: contact dots now use Fibonacci spheres - goodbye UV pole crowding

  o CHANGE: improvements to dictionary reading and reporting of mismatches

  o CHANGE: single-letter entry added to residue type selector for mutations

  o CHANGE: rework the linking algorithm so that residues with a residue number gap but close
            N and C atoms can now be linked.

  o CHANGE: Fourier filtered Jiggle-Fit now followed by rigid-body refinement at full
            resolution

  o CHANGE: assign_sequence_from_file() rewritten and generalize for all-chain search [Bob Nolte]

  o BUG-FIX: fix the generation of link metal oxygens restraints when the atoms are reversed.

  o BUG-FIX: fix crash in lbg network molecule retrival

  o BUG-FIX: Merging a ligand in merge-molecules no longer steps the residue number by 100 when
             adding the same ligand type [Keith Wilson]

  o BUG-FIX: Curlew's "Install" and "Uninstall" buttons work better

  o BUG-FIX: mutate_by_overlap now works for nucleotides

  o BUG-FIX: backup file name generation cleaned up

  o BUG-FIX: tidied up the GLY representation in CA+sidechains mode

  o BUG-FIX: Apply the dynamic transformation to NCS ghost maps [Randy Read]

  o BUG-FIX: remove neighbour-generation memory leak

  o BUG-FIX: getopt usage reworked - the command line should behave better on some systems

-----

  Release 0.9

  This release has been a long-term effort (4 years according to my notes). It is powerful but not as
  clean and stable as I would have liked, but I don't want to delay any longer. Many of the additions
  and updates have been focused on the problems posed by cryo-EM reconstructions.

  o REQUIREMENT:  C+11 required for compilation

  o REQUIREMENT:  Boost required for compilation

  o FEATURE: Automatic addition of alpha helix, nucleic acid stacking and pairing restraints and
             metal coordination bond restraints

  o FEATURE: Standard molecular representation now has "atoms" (not just bonds).
             Waters are balls, not crosses

  o FEATURE: interactive representation of Ramachandran and rotamer probabilities during refinement
             Add set_show_intermediate_atoms_rota_markup()
             Add set_show_intermediate_atoms_rama_markup()

  o FEATURE: Curlew (the Extensions Wrangler) now has a menu item and has been redesigned

  o FEATURE: Added function "Go To Middle of Cryo-EM Reconstruction Molecule"

  o FEATURE: Sharpen/blur map feature added

  o CHANGE:  Improved Real Space Refinement - now refinement is on-going instead of activated by
             dropping (releasing) the atom

  o CHANGE:  Multi-threaded code for real-space refinement, jiggle-fit, rotamer probabilities,
             atom overlaps, restraints generation, density contouring

  o CHANGE:  Improved Jiggle Fit

  o CHANGE:  All option menus replaced by comboboxes

  o CHANGE:  The non-bonded contact model is now Lennard-Jones

  o CHANGE:  Lidia chemical diagram rendering improvements

  o CHANGE:  "Hit" atom radius increased for atom picking

  o CHANGE:  Chiral atom restraints tightened, torsion restraints use a canonical cosine form

  o CHANGE:  Rotamer fitting deletes clashing waters

  o CHANGE:  Origin marker is now white

  o CHANGE (API): Add access to CaBLAM markup

  o CHANGE (API): Create multiple maps based on atom selection masking

  o CHANGE (API): Add access to shift-field B-factor refinement (algorithm from Kevin Cowtan)

  o BUG-FIX: Improved XML parsing of molecules from Wikipedia

  o BUG-FIX: Align & Mutate output fixed


-----

  Pre-Release 0.8.9.3

  o FEATURE: Add a menu item to save graphics window size and position

  o FEATURE: make_updating_model_molecule() and make_updating_map() added to the API.

  o CHANGE:  Give the map number in the title bar of the density fit validation graph [EJD]

  o CHANGE:  Don't dismiss the ligands dialog if the search was made with 0 ligands (QoL)

  o CHANGE:  Symmetry Dialog changes are applied immediately - after the guidelines

  o CHANGE:  Curlew has a place on the File menu

  o BUG-FIX: Fix crash on merge molecules

  o BUG-FIX: Refinement of residues with alt-confs improved

  o BUG-FIX: Fix indexing of reflection in FFT for Patterson from Intensities [Randy Read]

  o BUG-FIX: Fix colour of the first molecule in CA/Backbone mode [Ronan]

-----

  Release 0.8.9.2

  o FEATURE: LINK info added to header browser

  o FEATURE: External angle restraints are now available (corresponding to REFMAC type
	     0 restraints) - mini-rsr included [Robbie Joosten]

  o FEATURE: raster3d output now includes labels [Vito Calderone]

  o FEATURE: API for user-defined unimodal torsion restraints (for pyranoses) [Juan Hermoso]

  o FEATURE: "Variable" bond widths i.e. as you zoom out, the bond lines get thinner
             [Erec Stebbins]
             (set-use-variable-bond-thickness 1)

  o CHANGE:  Iron-Sulfur clusters are now bonded using the dictionary (and so appear "cubic"
             rather than disconnected) [Hannah Bridges]

  o CHANGE:  Edit -> Copy Fragment now has a "Move it Here" check-button

  o CHANGE:  Old interface to PRODRG removed [Elinor Breiner]

  o CHANGE:  Jiggle-fit speed up by using backbone mode if possible

  o CHANGE:  Forwards-fitting a terminal residue now correctly positions the O atom
             of the current residue that corresponds to the new residue

  o CHANGE:  Planar peptide restraints now apply to PTRANS restraints as well as TRANS
             restraints

  o CHANGE:  "Linear" refine no longer exists, the refinement button now uses the same
             interface as sphere refine. Residues now have environments but "finding peptide
             links by residue number, no matter how far the residues are away from each
             other" has been removed

  o CHANGE:  Squares to cirlces in the Ramachandran Plot

  o CHANGE:  Default is now not to generate a monomer on reading a dictionary cif file

  o CHANGE:  More functions added to the coot_extended python module

  o CHANGE:  RCrane restored

  o CHANGE:  Add link-by-torsion-to-NAG-core-NAG-SER.tab so that add_linked_residue() 
             can link a NAG to a SER

  o CHANGE:  CA Zone -> Mainchain builds in both directions

  o CHANGE:  Alignment gap penalty changed to -3.0

  o CHANGE:  Merging a ligand molecule now adds the ligand to the closest chain - unless
             a merging molecule ligand has been specified

  o BUG-FIX: the H atom in a peptide is now moved along with the other peptide atoms
             on a cis->trans conversion (and vice versa)

  o BUG-FIX: align-and-mutate occasional reversing of residues fixed [Rob Kirchdoerfer]

  O BUG-FIX: Using PDB-REDO now loads an anomalous map also (if possible) [Robbie Joosten]

  o BUG-FIX: Fix typo in template-keybindings-to-preferences that causes initial
             installation of key-bindings to fail sometimes [Colin Palmer].

  o BUG-FIX: The slow update on deleting deviant extra distance restraints has been
             been replaced with a faster version [JED]

  o BUG-FIX: db_mainchain() fragment/chain indexing bug fixed [Oliver Clarke]

  o BUG-FIX: db_mainchain() no longer crashes when using negative residue numbers
             [Oliver Clarke]

  o BUG-FIX: Delete All Carbohydrate now works with carbohydrate with insertion codes

-----

  Release 0.8.9.1

  o FEATURE: Auto-NCS Jumping menu item added to the NCS submenu

  o FEATURE: Tool-tips for residues in Sequence View

  o FEATURE: Added a function to limit the display radius for models

  o FEATURE: New button to display only the the last model molecule

  o FEATURE: Acedrg Link generation GUI (in the CCP4 Module)

  o FEATURE: "Jiggle-fit Ligand" menu item added to the Ligand menu

  o FEATURE: GUI to use Refmac to generate structure factors from an EM map
             (in the Cryo-EM module)

  o FEATURE: Interactive "Nudge Residue" dialog added to Cryo-EM module

  o CHANGE:  The refinement map is now set before refinement of solutions
             in ligand fitting [Keith Wilson]

  o CHANGE:  The Mutate Residue Range can now mutate RNA and has a
             check for numbering consistency [Donna Matzov]

  o CHANGE:  Map density histogram is cached for speedier display
             of Map Properties dialog for Cryo-EM maps

  o CHANGE:  RCrane removed from the interface (for now)

  o CHANGE:  Carbohydrate fitting weighting scheme improved (should work
             better for cryo-EM maps)

  o BUG-FIX: cif-reading in Classic dialogs no longer causes a crash

  o BUG-FIX: Phosphorus atoms are now orange in Colour by Chain mode

  o BUG-FIX: Molecule information extraction from wikipedia made more robust

  o BUG-FIX: N-terminal Hydrogen atoms now refined correctly

  o BUG-FIX: Fix crash on Replace Residue with a nucleotide [Elinor Breiner]

  o BUG-FIX: Fix crash on invalid SMILES input for LIDIA

  o BUG-FIX: Fix crash on wrong molecule index for some cif data function [JED]

----

  Release 0.8.9

  o FEATURE: Improved Ramachandran Plot, now with residue selection

  o FEATURE: Use of threads and accumulation in map contouring

  o FEATURE: secondary structure interface added to the the API

  o FEATURE: delete-chain and delete-sidechains-for-chain added to the API

  o FEATURE: Added a user-defined modelling toolbar button to refine tandem residues

  o FEATURE: experimental peptide orientation optimisation function added (also in mini-rsr)

  o CHANGE:  Refinement speed-up

  o CHANGE:  Add-terminal-residue speed-up

  o CHANGE:  Glyo module improved with distance restraints and better GUI

  o CHANGE:  Better density fit graph scaling

  o CHANGE:  Use ETKDG for embedding in pyrogen

  o CHANGE:  Use less precision on writing the aniso ADPs for SHELX ins

  o CHANGE:  Optional Fourier Transform-based Ramachandran Plot target function added

  o CHANGE:  Bond-thicknesses improved in colour-by-chain.

  o CHANGE:  Robust MOL-file parsing added to lidia

  o CHANGE:  A density value histogram has been added to the map properties dialog

  o CHANGE:  Pepflip residue indexing improved

  o CHANGE:  Updated Ligand fitting in the tutorial

  o BUG-FIX: Hydrogen atoms are no longer used in rotamer clash score

  o BUG-FIX: Geman-McClure distance restraints activation bug fix

  o BUG-FIX: delete-atom no longer crashes when given an invalid model molecule number

  o BUG-FIX: Adding a terminal OXT no longer causes a crash

  o BUG-FIX: Ramachandran plot is updated on "Undo"

  o BUG-FIX: Chiral centre distortion representation fixed



------

  Release 0.8.8

  o FEATURE: intermediate-atoms movement works with stick for atom positional 
             restraint rather than scaled all-atom movement

  o FEATURE: CPK atom colouring

  o FEATURE: Ball & stick mode by default

  o FEATURE: intermediate-atoms movement works with stick for atom positional
             restraint rather than scaled all-atom movement

  o FEATURE: intermediate-atoms pepflip enabled

  o CHANGE: Jiggle fit now works by masking the out the map for neighbouring 
            residues
  
  o FEATURE: C++11 compilers will multi-thread multiple map contouring

  o FEATURE: SMILES -> simple 3D menu item added

  o CHANGE:  Delete residue range speeded up [Oliver Clarke]

  o CHANGE:  PG4 added to other solvent ligands

  o CHANGE:  Solid model lighting adjusted

  o CHANGE:  The Flexible? conformer-generation checkbutton repositioned [JED]

  o CHANGE:  Find Ligands added to the Ligands menu

  o CHANGE:  Move molecule here checkbutton position reordered

  o CHANGE:  Renumber residue range dialog improved by addition of terminii
             checkbuttons

  o BUG-FIX: Chains with non-overlapping residue numbers can now be merged
             without specifying the residue range

  o BUG-FIX: Colour by B-factor and Occupancy modes restored [Hans Raaijmakers]

  o BUG-FIX: Network interface to Drugbank follows server changes

  o BUG-FIX: Correct the PNG image output image size from Lidia

  o BUG-FIX: Refmac monomer library is restored (after server crash)

  o BUG-FIX: Use XYP not XYL for carbohydrate tree additions

  o BUG-FIX: Peptide Omega validation graph tool-tip label corrected [Nigel Moriarty]

  o BUG-FIX: Restore missing waters in FLEV

  o BUG-FIX: Fix crash on conformer search with no dictionary [JED]

  o BUG-FIX: Fix pyrogen dictionary double-quoted primed atom names [JED]

------

  Release 0.8.7

  o FEATURE: intermediate-atoms pepflip enabled

  o FEATURE: Lidia now has canvas scaling

  o FEATURE: Lidia now has CH3 superatoms, atom name and index display modes

  o FEATURE: Atom renaming to reference comp_id now has a place on the
             Ligand menu

  o FEATURE: Sequence View dynamically updates after a residue zone deletion

  o FEATURE: NCS local update now has a place on the NCS menu

  o CHANGE:  File -> SMILES has been removed

  o CHANGE:  Additional parameters available in the ligand-fitting dialog

  o CHANGE:  Non-bonded contact restraints calculation speed up

  o BUG-FIX: Fix side-chain plane restraints for sphere-refined residues with 
             alt confs

  o BUG-FIX: MSE atoms are HETATMs after mutation [Sivasankar Putta]

  o BUG-FIX: CD bump exception in HYP NBC across link [Jens Kaiser]

  o BUG-FIX: Bond-dragging in Lidia now cleaned up

  o BUG-FIX: Correct bonds to W in WO4.


------

  Release 0.8.6.1

  o BUG-FIX: Fix typo in findligand shell script

----

  Release 0.8.6

  o FEATURE: Added man pages

  o CHANGE:  bfactan renamed coot-bfactan

  o CHANGE:  no backups for each residue in fill_partial residues() function.

  o CHANGE:  User control over max and min distance to the protein in 
             findwaters

  o CHANGE:  Go-To-Ligand function now has better animation

  o CHANGE:  Included a speed-up for the non-bonded contact restraints 
             generation

-----

  Release 0.8.5

  o BUG-FIX: Fix conformer-related crash when showing ligand view of some metals
             [Oliver Clarke]

  o BUG-FIX: coot-mini-rsr no longer crashes when given a non-existent file-name
             for a map

-----

  Release 0.8.4

  o FEATURE: Generic display objects can now be attached to a molecule number:
             attach_generic_object_to_molecule(obj_no, imol)

  o FEATURE: Patterson from intensities: make_and_draw_patterson_using_intensities()

  o FEATURE: Added function closest_atom_simple_py() which returns the closest atom 
             to the centre of the screen (without CA subsitution)

  o FEATURE: chemical feature clustering (import cfc_ligand_sites)

  o FEATURE: user-define colour scheme

  o FEATURE: Ramachandran plot now has a "Outliers Only" mode

  o CHANGE:  fill-partial-residue now works with ROTAMERSEARCHLOWRES rather than
             ROTAMERSEARCHHIGHRES.

  o CHANGE:  Many functions now dynamically update the sequence dialog

  o CHANGE:  Improved lighting when displaying solid objects

  o CHANGE:  Typesetting improvements in lidia

  o BUG-FIX: Set the suggested file name in the classic dialog on saving 
             coordinates [Andy Purkiss, Arnaud Basle]

  o BUG-FIX: Setting the formal charge in lidia now works properly

  o BUG-FIX: Correct wrapper for findligand and findwaters [Kuan-Fu Gabriel Lin]

  o BUG-FIX: FLEV "problematic ligand" reduced in frequency

  o BUG-FIX: OXT-related refinement improved

  o BUG-FIX: Remove long bond between CB and OXT in HETATM CYS [Dale Tronrud]

  o BUG-FIX: mini-rsr now optionally uses trans peptide restrints

  o BUG-FIX: 4-char Hydrogen atom names from PBDx are now correctly read (folding in an 
             mmdb2 fix)

-----

  Release 0.8.3

  o FEATURE: Add ligand percentile scoring to the API and GUI

  o FEATURE: Residue correlations and distortion scores added to
             cooot-mini-rsr output

  o FEATURE: cis-peptides and twisted trans-peptide are marked up

  o FEATURE: Optionally add "balls" to standard stick mode

  o CHANGE:  mini-rsr is now called coot-mini-rsr

  o CHANGE:  Hydrogen atoms are not longer fit to density

  o CHANGE:  Toolbars are now resizable

  o CHANGE:  coot-download directory is no longer created on starting coot [Marcin W.]

  o CHANGE:  Middle-mouse pan added [Martín X]

  o CHANGE:  N-terminal addition of peptides has been improved

  o CHANGE:  If the dictionary file from PDBe is empty, now over-write it

  o BUG-FIX: fix atom index check in add_atom_label() [Gabriele Balducci]

  o BUG-FIX: Chiral volume restraints correctly output from
             coot.make-shelx-restraints

  o BUG-FIX: Save Symmetry coordinates with a .cif filename now saves coordinates
             as mmCIF [Wolfram Tempel]

  o BUG-FIX: Fix typo in python gui transform_map_using_lsq_matrix() [Gyorgy Snell]

  o BUG-FIX: Highlight Interesting Site no longer has over-sized primitives


-----


  Release 0.8.2

  o FEATURE: Add dictionary-based atom name matching in pyrogen [EJD]

  o FEATURE: Add ligand fragment flipping [JED]

  o FEATURE: SMILES drag and drop added to LBG

  o FEATURE: Use pyrogen by default if mogul available [JED]

  o FEATURE: Surface points are now exported from HOLE.

  o FEATURE: Clicking on a Het-group now reports the name in the status bar
             [Dave Brown]

  o FEATURE: Added function map-statistics to return map statistics 
             [Alejandro Virrueta]

  o CHANGE:  EDS Resolution addeded to PDB Validation dialog [Frank von Delft]

  o CHANGE:  The Residue numbers are reported in the refinement dialog
             when creating a cis-peptide [Dave Brown]

  o CHANGE:  Ligands in Rainbow mode are no longer blue

  o CHANGE:  Colour-by-chain now shows disulphide bonds

  o CHANGE:  Refinement drag elasticity increased
             [Everyone who tried to use it in 0.8.1 :-(]

  o CHANGE:  Global translations towards the molecule centre removed on
             model morphing

  o BUG-FIX: Improvement in PDB->SHELXL ins output [Andrea Thorn]

  o BUG-FIX: Fix problem of deleting all atoms in Baton Build atoms
             molecule

  o BUG-FIX: The NCS master chain in Copy NCS Residue Range now works
             [Airlie McCoy]

  o BUG-FIX: "Clear Latest Distance" crashes coot. Fixed [Emily Arturo]

  o BUG-FIX: Fix output format of external restraints [Richard Bunker]

  o BUG-FIX: Torsion-based ligand fitting improvements [Rob Nicholls]

  o BUG-FIX: A model with hydrogens displayed in CA+Ligands mode used
             to show the hydrogens even if hydrogens were off - Fixed now.
             [Alex Wlodawer]

  o BUG-FIX: Fix occassional graph data range anomaly [Rob Nicholls]

  o BUG-FIX: Add missing plane distortions in print_residue_distortions()

  o BUG-FIX: PISA interface works with newer version of pisa 
             [Maria Jose Sanchez Barrena]

  o BUG-FIX: Only check once for probe when showing the Validation menu.
  
  o BUG-FIX: Resetting of Own font colour on opening the preferences
             dialog fixed.


-----

  Release 0.8.1

  o CHANGE: Generic Dislay Objects dialog improved.

  o CHANGE: Water validation dialogs are now transient

  o CHANGE: Ctrl-R for Rock View

  o CHANGE: Least Squares Fit dialog now remembers its values

  o BUG-FIX: stippling for line and text geometry and environment
    distances updated

  o BUG-FIX: Jiggle fit moves atoms with zero occupancies.

  o BUG-FIX: Problem with CA-Zone -> Mainchain fixed.

  o BUG-FIX: The amount that the other atoms ove with moving the
    picked atom has been reduced (but is configurable)

  o BUG-FIX: Sort chains and residues has been fixed.

  o BUG-FIX: Add Template Keybindings for Python now works

-----

  Release 0.8

  o FEATURE: Added a interface for Cootilus

  o FEATURE: Pubchem support for drag and drop

  o FEATURE: Added glyo and ProSMART modules

  o FEATURE: Auto-open MTZ files with x.F_phi.F & x.F_phi.phi for any
    value of x.

  o FEATURE: When input map seems to be from EM, ignore modal density
    values for statistics calculation

  o FEATURE: labels and on-screen text can now be rendered with stroke
    characters instead of bitmaps 
    (set-use-stroke-characters 1)
    set_use_stroke_characters(1)

  o FEATURE: Enable the running of python commands from the command line

  o FEATURE: Install appdata for GNOME Software Center [Richard Hughes]

  o FEATURE: New program compare-dictionaries added

  o FEATURE: New program make-shelx-restraints added 

  o FEATURE: pdb validation data parser and gui attached to Fetch
    accession code.

  o FEATURE: Added match-residue-and-dictionary() function for atom
    name matching of similar monomers

  o FEATURE: Added function to move a reference chain to a
    symmetry-related position

  o FEATURE: Add parallel nucleotide plane restraints

  o CHANGE: Bond colours against a white background have been improved

  o CHANGE: Main gui icons are now pngs

  o CHANGE: Pyrogen bundled in enhanced-ligand version

  o CHANGE: Deuteriums are pink

  o CHANGE: Extra restraints added to Raster3D input

  o CHANGE: Geman-McClure M-estimator used for extra distance restraints

  o BUG-FIX: CA-mode now works for MSEs

  o BUG-FIX: Mo bonding improved

  o BUG-FIX: Unbonded CA now have stars in CA mode

  o BUG-FIX: Better output of ligand fitting solutions [Andre White]

  o BUG-FIX: Adjust hydrogens also on nomenclature correction

  o BUG-FIX: Multi-solution ligand fitting fixed

  o BUG-FIX: Wedge bonds can now be converted to single bonds in LBG

  o BUG-FIX: Mol2 file atoms names are now preserved [Markus Rudolf]

  o BUG-FIX: B-factor colouring now fixed [Oliver Smart]

  o BUG-FIX: HOLE implementation handles large radii better

  o BUG-FIX: Improved SHELX .ins parsing [Dale Tronrud]

  o BUG-FIX: mmCIF output atom name quoting fix

  o BUG-FIX: atom quad type check test fix [David Binderman]

------


  Release 0.7.2


  o BUG-FIX: Iodines are written to the correct column (Steven Sheriff)

------

  Release 0.7.1

  o FEATURE: Navigation via residue triple.

  o FEATURE: csv mogul output parser.

  o CHANGE: Updated interface to JLigand

  o CHANGE: Sequence View improved.

  o CHANGE: Bond orders for Het-groups in CA+ligands mode.

  o CHANGE: Optional use of build-info at compile time.

  o BUG-FIX: Ligand fitting improved/fixed.

  o BUG-FIX: Drag and drop improved.

  o BUG-FIX: Fix up for reading of molprobity files.

  o BUG-FIX: Use Extended HM symbols when converting from clipper
    symmetry to mmdb symmetry.

  o BUG-FIX: Get Drug feature improved.

  o BUG-FIX: Better use of extant ring info when drawing rings in LIDIA.

  o BUG-FIX: Scale factor for sharpening fixed [Chang Liu]

------

  Release 0.7

  o FEATURE: Het-groups are now represented with bond orders.

  o FEATURE: Ligand Builder - working in conjunction with cprodrg.

  o FEATURE: RCrane [RNA builder]

  o FEATURE: Cootaneer [RNA builder]

  o FEATURE: PDBe Recent structure browser.

  o FEATURE: JLigand interface.

  o CHANGE: symmetry operator number are no longer zero indexed.  Add
    trans component to symmetry file names. [Steven Sheriff].

  o CHANGE: Dotted surfaces now are coloured by atom type and are at
    atomic radii rather than 1A.

  o CHANGE: map transformation no longer has symmetry overwrite
    problems [JED].
 
  o BUG-FIX: Fix missing C7 on DA -> DT mutation [Sabine Schneider].

  o BUG-FIX: TER records on base mutation [James Parker].

  o BUG-FIX: DNA in sequence view [Miguel Ortiz Lombardia].
 
  o BUG-FIX: Update Go To Atom dialog after water merging [Bob Nolte].

  o BUG-FIX: fix memory leak in fit-protein function [Ed Pozharski].

  o BUG-FIX: Improved "Place Helix Here".


------

  Release 0.6.2

  o FEATURE: PISA Interfaces can now be represented in Coot (requires
    pisa version 1.06 or later).

  o FEATURE: Regularize sphere function introduced.

  o FEATURE: --update-self to update pre-release binary from server.

  o FEATURE: SBase molecules can be imported (under Search Monomer
    Library).

  o FEATURE: prodrg-ify ligand function added (generates restraints
    for the specified residue).

  o FEATURE: higly-coordinated waters metal substitution search added.

  o FEATURE: Rudimentary support for reading 3D MDL mol2 files.

  o FEATURE: New map representation styles, solid/transparent and
    "cut-glass".

  o CHANGE: Align & Mutate now provides a simple dialog with the
    alignment.

  o CHANGE: Environment distances are separated into bumps and bonds
    [Bob Nolte].

  o CHANGE: Move molecule here only moves small molecules by default
    now.  There is an check button to allow big molecules [Kevin
    Madauss].

  o CHANGE: In MTZ reading Expert Mode, if the low resolution limit is
    not set, then presume that it was 999.9A [Randy Read].

  o CHANGE: Faster, multiprocessor electrostatic surfaces [Martin
    Noble].

  o CHANGE: pointer distances are updated on go-to-blob [JED].

  o CHANGE: COOT_SCHEME_EXTRA_DIR and COOT_PYTHON_EXTRAS_DIR are now
    ":"-separated lists [Thomas Womack].

  o CHANGE: Real-space refinement is now interruptible [JED].

  o CHANGE: NCS skipping now works in the reverse chain order too
    (Shift-O) [JED].

  o CHANGE: Residues are checked atom by atom against the dictionary
    and refinement is not started if there is not complete agreement
    (for non-Hydrogen atoms) [JED].

  o CHANGE: Merged molecules are undisplayed after merging.

  o CHANGE: "Replace residue" will use a dictionary and model for a
    particular 3-letter code if they have been already read in (rather
    than run libcheck blindly) [Ian Tickle].
 
  o CHANGE: SSM overlayed molecule now takes symmetry, cell and origin
    of reference molecule.

  o CHANGE: Waters are now represented with "~" in the sequence view -
    so that there is a distinction between waters and interesting
    hetatoms.

  o CHANGE: Using the scroll wheel with Ctrl and Shift will change the
    represention of the molecule that has the active residue.

  o CHANGE: difference_map_peaks() function now takes an addition
    argument specifying the minimum distance between peak (filtering
    out close smaller peaks).

  o CHANGE: Waters are no longer considered when calculating the clash
    score during rotamer fit.

  o BUG-FIX:: Hydrogens on waters are no longer checked against the
    difference map in the water validation test.

  o BUG-FIX: Water search now avoids close contacts to waters
    generated in the same round.

  o BUG-FIX: Water check in gtk1 version no longer tries to
    dereference the difference map active checkbutton - fixes crash
    [Subhangi Ghosh].

  o BUG-FIX: Fix crash on rigid-body refine by atom selection with
    residue gaps [Joel Bard].

  o BUG-FIX: Fix crash on Ramachandran restraints with planar peptide
    restraints with alt confs [Peter Simone, Andrew Purkiss].

  o BUG-FIX: rename residue works on only the specified chain.

  o BUG-FIX: anomalous maps are now properly recovered from the state
    file [Phil Evans].

  o BUG-FIX: Symmetry is updated on accepting a Rotate/Translate
    modification [Ezra Peisach].

  o BUG-FIX: Rotate/Translate on a residue with an insertion code now
    picks and moves the correct atoms.

  o BUG-FIX: NCS differences were broken by gaps of different lengths
    [Ingo Korndoerfer].

  o BUG-FIX: Unconventionally formatted atom tree records in
    restraints cif now no longer cause a crash when using Chi Angles
    [JED].

  o BUG-FIX: Fix the crash when sphere refine was used at the same
    time that the geometry graph was displayed [JED].

  o BUG-FIX: Fix crash when update peptide omega distortion graph
    [Horacio Botti].

  o BUG-FIX: rotate/translate large fragments now works better.

  o BUG-FIX: transform-map function fixed for 5 arguments.

  o BUG-FIX: Sort-chains no longer loses header information [Bob
    Nolte].

  o BUG-FIX: Environment distances are no longer drawn between atoms
    with differing non-blank alt-confs.

  o BUG-FIX: mmCIF file writing fixed.

  o BUG-FIX: Zero occupancy marker on hydrogens are not undisplayed
    properly [JED].

  o BUG-FIX: refining with structures from .res files sometimes crash
    when writing backup file on Mac [Derek Logan].

  o BUG-FIX: Rotating/translating ligands in CA+Ligands mode now works
    [Jim Thorpe].

  o BUG-FIX: Platinum can now have sensible bonds to N and O [John
    Helliwell].

  o BUG-FIX: Ramachandran plots work at the end of chains chains with
    missing residues [JED].

  o BUG-FIX: Environment distances display toggling anomolies cleaned
    up [Ed Pozharski].

  o BUG-FIX: Sequence view failed with SHELX molecules with high
    residue numbers [Stefan Becker].

  o BUG-FIX: SSM superposition now superposes the correct molecules
    when the option menus are not adjusted [Sam Stampfter].

  o BUG-FIX: colour-by-chain with C-only mode long non-C bonds fixed
    [Petra Loenze].

-----

  Release 0.6.1

  o FEATURE: Quick-save - bound to Ctrl-S.

  o FEATURE: Binary updates (pre-releases) now available. 

  o FEATURE: tutorial data can be loaded from a Extensions menu item

  o FEATURE: A means to set the refinement weight so that the
    resulting chi squareds are 1.0 (or close) [Katya Heldwein]

  o CHANGE: "Save dialog positions" now also saves the Edit Chi Angles
    dialog position [Markus Rudolph].

  o CHANGE: Coot can now go through proxies (http_proxy environment
    variable) to get News and Updates.

  o CHANGE: Baton manipulation is now possible when the skeleton runs
    out.

  o CHANGE: Hydrogen representation now thin and grey monotone.

  o CHANGE: Interface to sidechain docking improved [Phil Evans].

  o CHANGE: Updates to sync with new EDS (Electron Density Server).

  o CHANGE: Filenames of mtzs and pdb in the current directory are now
    stored as relative in the state file [Andre White].

  o CHANGE: Default image type for screenshot is now PNG [Joel Bard].

  o CHANGE: --python --no-graphics results in a python prompt at the 
    command line [Gabor Bunkoczi].

  o BUG-FIX: Check waters by difference map now works again [Misty X].

  o BUG-FIX: SSM alignment crash fixed [Ed Pozharski].

  o BUG-FIX: Splitting a sidechain with zero occupancy no longer
    leaves atoms with negative occupancy [Takaaki Fukami].
  
  o BUG-FIX: Shift-spacing through waters, deleting active water now
    goes to previous atom [Ingo Korndoerfer].

  o BUG-FIX: No torsion restraints added when the esd of the torsion
    is 0 (Phenix compatibility) [Joel Bard].

  o BUG-FIX: Rotamers and Edit Chi now works for MSEs [Clemens Vonrhein].

  o BUG-FIX: Hydrogen environment distances now are synchronised with
    the display of hydrogens [JED].

  o BUG-FIX: Phosphate-backbone mode enabled for symmetry [Miguel
    Ortiz Lombardia].

  o BUG-FIX: Carbon-Iodine bond length limit lengthened.

  o BUG-FIX: Go To Atom dialog is updated after simple mutation of a
    base [Miguel Ortiz Lombardia]

  o BUG-FIX: Coot no longer things that a SHELXL BLOC card is an atom
    [Zbigniew Dauter].

  o BUG-FIX: LINKs between symmetry related molecules are no longer
    drawn as long vectors to the same molecule [Alejandro Buschazzio]

  o BUG-FIX: sugar chains now find the linkage type better (rather
    than forcing seemingly-random chain breaks) [JED].

  o BUG-FIX: Go to Atom keyboarding chain-id superfluous functions
    removed [JED].

  o BUG-FIX: Don't crash when calculating NCS on reading bogus chains
    from a PDB mmCIF file [Christian Engel].

-----

  Release 0.6

  o FEATURE: User-defined clicks [Joel Bard].

  o FEATURE: SHELXL interfaces allows the user to modify the input before
    running the SHELXL executable [Tobias Beck].

  o FEATURE: Now compatible with Zalman M220W.

  o FEATURE: Post-manipulation function hook added [JED].

  o FEATURE: "Sphere" (residue selection) refinement.

  o FEATURE: function to (re-)calculate probe dots around a give point
    [Joel Bard].

  o FEATURE: monomer and residue selection dipoles.

  o FEATURE: Interactive map sharpening [Randy Read, Alex Brunger].

  o FEATURE: LINK bonds are are now represented.

  o FEATURE: "Backrub rotamers" at low (2.7 or worse) resolution.

  o FEATURE: Baton build parameters (e.g. "backwards") now have a GUI 
    [Phil Evans].

  o FEATURE: Move waters to surround protein [Garib Murshudov]

  o FEATURE: rotate/translate zone by residue ranges

  o FEATURE: Rigid-body fit by residue ranges.

  o FEATURE: Multi-select on reading coordinates is enabled.

  o FEATURE: Immediate access to coordinates from CIF dictionaries
    that contain coordinates (no need for LIBCHECK in such cases).

  o FEATURE: Nudge-residue (bound to Ctrl-arrow keys).

  o FEATURE: A dialog has been added from map averaging [Bob Nolte].

  o FEATURE: Rename residue [Alexander Schiffer].

  o CHANGE: partial charges added to electrostatic surface calculation.

  o CHANGE: shift-click and ctrl-click in the file selectors now work
    for reading in several coordinates files [Roberto Steiner].

  o CHANGE: SEGIDs are more intelligently inherited [Steven Sheriff,
    Bob Nolte].
 
  o CHANGE: Transformed make take the cell and symmetry of the
    reference coordinates.

  o CHANGE: Transformed maps take on the cell and spacegroup of the
    reference coordinates.

  o CHANGE: Coordinates Molecules transformed by LSQ take on the cell
    and spacegroup of the reference coordinates.

  o CHANGE: Pukka-puckers? fixed and re-enabled.

  o CHANGE: Ramachandran Plots now have molecule name labels [Wendy Offen].

  o CHANGE: The save coordinates dialogs active item is the first
    molecule with unsaved changes (rather than simply the first
    molecule) [Herb Klei]

  o CHANGE: "Go To Blob" now goes to the front blob, no matter what
    the density level of blobs/density behind it is [JED].

  o CHANGE: Don't display the geometry distance if the molecule
    corresponding to the start or end point is not displayed [JED].

  o CHANGE: Using the internal alignment, the weights of the affine
    gap penalty have been changed to favour mutations and larger gaps
    rather than several small gaps.

  o CHANGE: the restraints editor now uses strings
    (positive/negative/both) rather than number to represent the sign
    for chiral volumes [Andrew Leslie]

  o CHANGE: the restraints editor now adds a new entry to the
    dictionary when the comp-id is changed.

  o CHANGE: Additional representations now have an "All off" button.

  o CHANGE: Chi angles rotation now include a "reverse fragment" option.

  o CHANGE: "Add strand here" moved next to "Add Helix Here".

  o CHANGE: Convert PDB format 3.x prime atom names to star names (to 
    correspond to current Refmac dictionary). 

  o BUG-FIX: TER records are removed on addition of waters [Herb Klei].

  o BUG-FIX: Align vs PIR file improved [Bob Nolte]

  o BUG-FIX: Single HETATMs now are refined by rigid body (as waters
    are) when using Refine Zone.

  o BUG-FIX: new atoms (and waters) are added as HETATMs if
    appropriate [David Mathog].

  o BUG-FIX: TER records for water chains are no longer tested in
    water validation tests [Herb Klei].

  o BUG-FIX: NCS chain jumping now works on heterodimers [Jianghai Zhu].

  o BUG-FIX: The Chain Reordering function in Extensions has been fixed.

  o BUG-FIX: Torsion angle refinement convergence improved [JED].

  o BUG-FIX: Ramachandran Green spot no longer disappears on refinement.

  o BUG-FIX: Limit the sequence view canvas X parameters, so that we
    don't get X11 errors and crash [Felix Frolow].

  o BUG-FIX: Additional representations appear in both "eyes" in
    side-by-side mode.

  o BUG-FIX: Delete-atom spewing binary fixed [JED].

-----

Release 0.5.2 Uneno

   o BUG-FIX: Fix annoying shift-key-labels-atoms bug

Release 0.5.1 Uneno

   o FEATURE: A "Delete Molecule" button is now available in the
     Display Manager [TJS].

   o FEATURE: show-rotamer-dialog is now available from the scripting
     layer (hence `quick rotamer' keybinding) [FvD].

   o FEATURE: Manual definition of NCS ghost matrices - GUI added.

   o FEATURE: overlay-my-ligands function introduced.

   o FEATURE: A simple interface to electrostatic surfaces has been
     introduced (Extensions -> Representations).

   o FEATURE: rotate-chi feature introduced.  For use with a PowerMate.

   o FEATURE: keyboard-based Go To Residue for quicker navigation.

   o CHANGE: NCS ghost work using LSQ to get the matrix, not SSM.
 
   o CHANGE: Display manager toggle buttons replaced with check
     buttons.

   o CHANGE: make-dynamically-transformed-ncs-maps takes an extra
     argument specifying if new maps should overwrite previous maps of
     the same name.

   o CHANGE: Extensions menu re-worked.

   o CHANGE: Keyboard zooming is now smoothed.

   o BUG-FIX: the chi angle bond highlighting works again.

   o BUG-FIX: The Cancel button in Save Restraints now works.

   o BUG-FIX: Check/Delete waters in Check mode no longer causes a
     crash when the "Close" button is clicked.

   o BUG-FIX: Atom elements are inferred from the atom name.

   o BUG-FIX: writing of cifs from the Restraints editor has been
     improved [JED].

   o BUG-FIX: chiral restraints specified as "BOTH" can now be edited.

   o BUG-FIX: "Flip peptide" now flips the peptide H atom too [Joel Bard].

   o BUG-FIX: Ligands can now have their torsions manipulated in
     CA+Ligands mode [Ingo Korndoerfer].

   o BUG-FIX: NCS residue range edits now apply to more than the first
     peer.

   o BUG-FIX: Coot now can read PART cards with a site occupancy
     factor from a SHELXL .res file [Mirek Gilski].

   o BUG-FIX: Fixed crash on using multiple geometry (Distance and
     Angles) dialogs.

   o BUG-FIX: The Reset View button has been reworked.

   o BUG-FIX: Ball & Stick additional representations has been
     reworked and now move as the molecule gets updated.

   o BUG-FIX: Ramachandran improvement function has been improved.

   o BUG-FIX: Rotamers and simple refinement now work with residues
     with insertion codes.

   o BUG-FIX: The rotamer graph no longer rescales on updating a
     molecule.


-----

Release 0.5 Ueno

   o FEATURE: Coot now has a Preferences dialog.

   o FEATURE: Coot now is PDB version 3.0 compliant.

   o FEATURE: Additional Representations added [Tadeusz Skarzynski].

   o FEATURE: "Fixed Atoms" for refinement have been introduced.

   o FEATURE: Monomer restraints can be edited in a GUI and are
     exported to the scripting layer.

   o FEATURE: Coot can now make difference maps.

   o FEATURE: The state file now remembers the refinement map number
     [Herb Klei].

   o FEATURE: Add dialog position preferences to Extensions.

   o FEATURE: The state file now remembers the scroll-wheel (contour
     changing) map [Kevin Madauss].
   
   o FEATURE: Add a variable reduce-molecule-updates-current, that
     when set by the user causes an update of the probed molecule, not
     the generation of a new one [Bob Nolte].

   o FEATURE: Add Terminal Residue now assigns the correct residue
     type (if a PIR sequence has been given for side-chain docking) 
     [Bob Nolte].

   o FEATURE: "Pukka Puckers?" validation tool for RNA.  Based on
     Davis et al. (2007) Molprobity: all atom contacts and structure
     validation for proteins and nucleic acids, Nucleic Acids
     Research 35, W375-W383.

   o FEATURE: "Active site" hilighting.  Cheap and cheerful solid
     modelling of ligand and neighbouring residues [Herb Klei].

   o FEATURE: Double-clicking on an atom labels it (CCP4mg
     compatibility).

   o FEATURE: "Eigen-flip" function added.  Use to quickly flip around
     ligands.

   o FEATURE: it is now possible to add a setting so that atoms with
     zero occupancy are not moved when refining:
     set-refinement-move-atoms-with-zero-occupancy [Rajiv Chopra]

   o FEATURE: Refmac can be run from Coot without the user having to
     explicitly set the column labels.

   o FEATURE: NCS Copy Chain is now available as a GUI extension.

   o FEATURE: The ability to turn on chi angles that move hydrogens is
     now available from the Chi Angles dialog.

   o FEATURE: The "About" dialog contains references. 

   o CHANGE: Key bindings mechanism has changed.  Now we are able to
     display key binding in a GUI widget.

   o CHANGE: Molprobity Tools (probe and reduce) will only now work 
     with those binaries that are hybrid_36 enabled.

   o CHANGE: Picking has been changed to somewhat favour those atoms
     at the front of the slab.

   o CHANGE: When deleting a residue while displaying validation
     graphs, the graphs get updated immediately [JED]

   o CHANGE: In CA display mode, only CAs can now be picked.

   o CHANGE: Nudge centre axes are now relative to the screen rather
     than in world coordinates.

   o CHANGE: NCS skipping changed.  Hopefully faster now [Steven
     Sheriff].  Also works in the case of hetero dimers with NCS [Phil
     Evans].

   o CHANGE: default bond width changed to 5.

   o CHANGE: Traffic lights verticalized.

   o CHANGE: Symmetry colour info added to state file [Doug Kuntz].
 
   o CHANGE: the argument order for "mutate" scripting function 
     have been canonicalised.
  
   o CHANGE: set-symmetry-colour-merge now takes only a fraction
     argument.

   o CHANGE: Mutate no longer changes the atom order in the pdb file.

   o CHANGE: Next Residue/Previous residue reworked so that it now
     jumps over gaps and goes to the right residue when encountering
     insertion codes.

   o CHANGE: Don't allow translation drag of intermediate atoms during
     rotamer selection.

   o CHANGE: Reference structures now have strand markup in the
     header, so they can now be used as the reference structures for
     "Build Strand".

   o CHANGE: Bond parameters changes (bond width and hydrogens state)
     now work immediately, no need to press the "Apply" button [FvD].

   o CHANGE: Colour by Chain style also now displays zero occupancy
     markers [PRE].

   o CHANGE: Modelling toolbar can now be removed or docked in
     different positions.

   o BUG-FIX: chiral volumes are now correctly handled for multiple
     monomer bespoke ligand dictionaries.

   o BUG-FIX: Hydrogens names are better handled after an undo
     operation - no longer do they fly off when refining [Joel Bard]

   o BUG-FIX: Non-flexible ligands can be added to ligand search when
     the "flexible?" option is selected.  Previously the ligand search
     was aborted.

   o BUG-FIX: Flexible ligand fitting when the torsion period is 0 and
     for ligands that have bonding defined from a cif file (no atom left 
     behind).

   o BUG-FIX: side-by-side stereo mode improved [Randy Read].
 
   o BUG-FIX: Now coot does not crash on when displaying NPD atoms
     in anisotropic representation [Mitch Miller].

   o BUG-FIX: Now coot does not crash when opening "Cell & Symmetry"
     with no molecules loaded.

   o BUG-FIX: Coot no longer crashes when deleting a residue with an
     Alt Conf [JED].

   o BUG-FIX: Coot can now do rotamers on a MSE residue [Mark Saper]

   o BUG-FIX: Can now read SHELXL .ins files with lowercase symops.

   o BUG-FIX: On additions to a SHELXL molecule: better handling of
     UNIT and SFAC cards [GMS].

   o BUG-FIX: EQUIV cards from SHELXL handled better.

   o BUG-FIX: Adding waters to a SHELXL molecule now adds them with
     default occupancy 11.0 [Tobias Beck]

   o BUG-FIX: Go To Atom dialog is properly updated on merging
     molecules.
 
   o BUG-FIX: Coot no longer crashes when opening the Bond Parameters
     dialog before a pdb file has been read.

   o BUG-FIX: NCS Loop function now properly mutates residues in the
     peer chains [PRE].

   o BUG-FIX: Add Terminal Residue deletes the TER record (if it
     existed) of previous C-terminus [PRE].

   o BUG-FIX: Povray output improved.

   o BUG-FIX: The representation is no longer changed after editing
     atoms in CA+ligs representation.

-----


Release 0.4.1 "Kendall^2"

   o BUG-FIX: Fix problem of key press with no map causing crash.

Release 0.4 "Kendall"

   o FEATURE: Kevin Cowtan has given us "Cootaneer" [slim-line
     side-chain-assigning Buccaneer for Coot]

   o FEATURE: Richardson Rotamers (instead of Dunbrack's) are used by
     default. Rotamers are named int the dialog (the probability
     limits are no longer meaninful) [Dirk Kostrewa]

   o FEATURE: New environment variable COOT_SCHEME_EXTRA_DIR
     introduced. If the directory pointed to by COOT_SCHEME_EXTRA_DIR
     exists, then Coot will read all the .scm files in that directory

     :::: CORRECTION ::::
     That should be COOT_SCHEME_EXTRAS_DIR (note the extra "S").

   o FEATURE: Cis-peptide GUI added to extensions

   o FEATURE: Chiral volumes are added to the geometry target
     function. Check for chiral volume and cis-peptide errors introduced
     on refinement.  Add Chi-squared values to Accept/Reject dialog
     (along with traffic lights in the Gtk2 version)

   o FEATURE: Old backup-files cleaner-upper added

   o FEATURE: CCP4i aliases are also added to the Project Dir options
     in the file selector [Ingo Korndoerfer]

   o FEATURE: Multiple model ligand overlaying [Bob Nolte]

   o FEATURE: NCS matching (Kleywegt Plots) work using SHELXL molecules

   o FEATURE: Add "Laplacian" transform (the magnitude of the curvature)
     function for maps

   o FEATURE: Select residues (for new molecule) by sphere [Joel Bard]

   o FEATURE: Cell expansion/contraction function for EM users

   o FEATURE: skeletons now appear in Raster3D output and are properly
     coloured using the colour wheel.

   o FEATURE: a new command has been introduce, so that one can
     highlight the command equivalent of gui operations using colour.
     e.g.: (set-console-display-commands-hilights 1 1 4).

   o FEATURE: binary builds now are scriptable in Python and scheme.

   o FEATURE: GTK2 version has toolbar modelling buttons.

   o FEATURE: a mapman bones reader has been introduced.

   o FEATURE: Key presses . and , now work when navigating the checked
     waters "baddies" dialog.

   o FEATURE: label-all-CAs function added.

   o FEATURE: Dynamic Distances (distances to intermediate atoms)
     added [Found in the Distances and Angles dialog].

   o FEATURE: one can now specify a radius around the atoms when
     masking.

   o FEATURE: Torsion General added.

   o BUG-FIX: Fix occasional crash reported by Ketan Gajiwala on
     pressing CR in the graphics window after a refinement.

   o BUG-FIX: Fix crash on refining a water with an Alt Conf [Stephen
     Graham].

   o BUG-FIX: Symmetry atom picker improved [Jan Dohnalek, Pirkko
     Heikinheimo]

   o BUG-FIX: SSM superposition improved (crash fixed) 
     [Frank von Delft, Alice Dawson].

   o BUG-FIX: Fix Shelx lst file reader when handling atoms with Alt Confs
     [Christian Stegmann].

   o BUG-FIX: Lighting of Ball&Stick representations improved (with
     the help of Martin Noble).

   o BUG-FIX: Ca Zone->Mainchain no longer spews warnings.

   o BUG-FIX: Fix typo in transform-map-using-lsq-matrix [Nick
     Furnham]

   o BUG-FIX: U-matrix correctly output to shelx .res file [Annette
     Langkilde]

   o BUG-FIX: Environment Distances now can work to symmetry-related atoms 
     [David Briggs]

   o BUG-FIX: residues with inscodes are now correctly flashed when
     refining 

   o BUG-FIX: SHELXL .res molecules now generate ghosts correctly
     (given that NCS-related chains start at the "same" residue)

   o BUG-FIX: METs can no longer form disulphide bridges [Wendy Offen].

   o CHANGE: Temperature factor variance validation now works for SHELXL
     molecules [GMS, JED]

   o CHANGE: Map transformation now works differently.  Instead of
     providing the point from which the map is copied, one passes the
     target position to which the map should be copied (and the position
     from which the map is copied is calculated from this target
     position by the inverse transformation of the operator which moves
     the coordinates).  This seems more natural to me.

   o CHANGE: No longer a "stub" option in mutate and autofit [Steven
     Sheriff]

   o CHANGE: Get Monomer checks for pre-calculated results before
     re-running.

   o CHANGE: Planar peptide restraints are ON by default now [Phil Evans]

   o CHANGE: Omega Distortion graph now updates on Accept Refine Zone
 
   o CHANGE: svn revision number added to version information

   o CHANGE: Moving the Rotate-Translate Y slider in the positve direction
     moves the fragment in the +Y direction on the screen (instead of 
     downwards) [Steven Sheriff]

   o CHANGE: Faster bonding of multiple model molecules [e.g. from
     NMR, Rapper]

   o CHANGE: Binaries no longer contain include file and static library 
     "junk" [Clemens Vonrhein]

   o CHANGE: Check Waters results now display the occupancy too.

   o CHANGE: Residue Info now displays Chi Angles for conventional
     residues [Mark Mayer].

   o CHANGE: fcf/cif maps now honour the map sampling rate [Dale Tronrud]

   o CHANGE: Kleywegt Plots arrows "wrap" rather than extend across
     large regions of the plot [GMS]
  
   o CHANGE: Extensions menu tided.

   o CHANGE: multi-read-pdb no longer recentres.  Speeds things up [JED].

   o KNOWN PROBLEM: Rotamer analysis gives too many bad/unusual rotamers.
    

-----

    -------------------------------------------------------
    -------------------- Old Releases ---------------------
    -------------------------------------------------------


Release 0.3.3 "The Early Bird Catches the Bugs"

  o Tortuous and seemingly broken "Display Frame" code reverted [RR
    will be back to being nausiated]

  o Filter button fixed for file selections

---

Release 0.3.2 "Don't Bet on the River"

  o Fix crash due to rigid body refinement of atoms with zero
    occupancy

  o Add further SHELX support: .res files are split and unsplit on
    reading/writing.  Solve the ^M problem like SHELX does. SHELXL
    refinement interface improved [GMS]

  o Fix crash when applying NCS edits [Michael Url]

  o Fix problems of incorrect actions on pressing NCS buttons 
    [Christopher Rife]

  o Fix (potential?) crash on finding blobs and waters [Kevin Cowtan]

  o Fix crash apparent after deleting all maps then reading a new one 
    while the Display Control window was open

  o Instabity problems due to 60+ molecules addressed [but difficult
    to test thoroughly]

  o Added CNS map-reading [provided by Kevin Cowtan]. ".cns" is now 
    an acceptable map extension

  o Add Terminal Residue for nucleotide polymers

  o Alt confs of ligands no longer fly apart on regularization

  o Ramachandran plots now tell us the Preferred/Allowed/Outlier stats

  o Add user-settable contour levels and block size for Ramachandran plots

  o GTk+-2 interface now usable

  o Added SEGID info to clicked atom [Christine Durnham]

  o Added function fill-partial-residue [Bob Nolte]

  o Added function transform-molecule-by [Alastair Fyfe]

  o map transformation function fixed [Chris Meier]

  o Added function to change the colour of the unit cell [Dirk Kostrewa]

  o Added timer-based socket reading for Phenix and other interfaces

  o Added function "blob under cursor -> screen centre" [FvD]

  o Fix problem of Change Chain ID Residue Range inserting into the wrong 
    place [Judit Debreczeni]

  o Fix map reading so that it accepts user-approved extensions
    [Peter Meyer]

  o Reading a bespoke cif dictonary no longer cripples "Get Monomer"
    for conventional residues [Judit Debreczeni]

  o Added Views system [inspired by PyMol]

  o Colour by B-factor and Occupancy [Jean Whittingham]

  o Ramachandran plot dialog remembers where it was put last time
    [Shawn Williams] 

  o U matrix now correctly read for SHELXL .res files [Dale Tronrud]

  o Display Control confusion about Display/Active state of molecules
    untangled [Bob Nolte]

  o state file saves stereo mode [Bob Nolte].

  o Add ability to set the atom radius for Raster3D output

  o On startup, the Go To Atom dialog no longer is inconsistent
    between the chain chain and molecule chooser [GMS]

  o phosphylate-active-residue function added, with GUI menu item

  o Further tinkering with the bonding algorithm

  o Using side-by-side stereo with slow graphics is no longer
    nauseating [Randy Read]

  o generic-double-entry interface changed, breaking
    backwards-compatibility.  It now takes arguments for a check
    button.




Release 0.3.1 "Another Basil Grande?"

  o Enable NCS ghosts
  
  o Add output of fractional matrix when doing coordinates
    superposition [George Sheldrick]


Release 0.3 "Basil Grande"

  o Fixed crash on closing Baton Guide Points molecule [Richard
    Baxter].

  o Fixed crash on manipulating N-terminal backbone angles [Richard
    Baxter].

  o Concept of "Active Residue" added [Frank von Delft].  Added
    trivial functions, (refine-active-residue),
    (refine-active-residue-triple) and (autofit-rotamer-active-residue),
    so that users can bind them to their own key choices.

  o Use "Active Residue" concept to navigate and update "Go To Atom"
    parameters [Bob Nolte].

  o Skip to next NCS Chain function added [Robert Xu].

  o Rationalized hydrogen usage in ligand fitting [Bob Nolte].

  o Added template/graph residue matching function.

  o Fixed problem of display lists and second GL context
    (i.e. side-by-side stereo with density problems).

  o Add a function to return all the dictionaries read [JED].

  o Added function to find and produce an "interesting things GUI" for
    residues with alternate conformations.  This is an instance of a
    more-general purpose function of any scriptable test on a residue
    producing a GUI [John MacLean].

  o fit-protein function now refines residues with alternate
    conformations [it doesn't rotamer-search the alternate
    conformations].

  o set-rotate-translate-zone-rotates-about-zone-centre function added
    [Martyn Symmons]. Added and Extensions GUI for this too.

  o New atoms have a default B factor that can be set by the user
    (using set-default-temperature-factor-for-new-atoms).

  o Auto-fit rotamer with hydrogens now works better.

  o Secondary Structure Restraints buttons are properly set on
    generating the dialog.

  o No longer try to read various SHELX keywords as atoms when trying
    to read a SHELXL .res file [George Sheldrick].

  o SHELX log file reader accounts for alternative conformations
    [Bernhard Lohkamp].

  o findligand ligand fitting gives more useful output [Ingo
    Korndoerfer].

  o Clear up left-over scraps in mainchain building, freeing memory
    [Joel Bard].

  o Fixed problem of occupancy changes being ignored [Iain Kerr].

  o An unphased mtz file should run REFMAC for 0 cycles to produce
    phases [Tadeusz Skarzynski].

  o Fixed crash on scripting ligand fitting [Ingo Korndoerfer].

  o Added a scripting function to exit coot (coot-real-exit) [Joel
    Bard].

  o get-symmetry function added to return a list of symops.

  o Add Terminal Residue works for just one residue.

  o Rigid Body Refinement of a fragment containing residues with
    occupancy zero improved.  Also less strict about low density (low
    resolution) maps. Hence "Place Helix Here" may be improved.

  o "Same Chain?" test applied to Rotate/Translate and Rigid Body
    Refine Zone atom picks [Bob Nolte].



Release 0.2 "Arashiyama Park"

  o SigmaA code re-written using new version of Clipper [Artem Lyubimov]

  o Extensions added to main GUI

  o Fix crash when using script command (execute-ligand-search)

  o Fix crash on Go To a "Delete Zone" residue [Kevin Cowtan]

  o Fix occasional crash on pressing Escape 
 
  o New Validation Tool - Nakagawa's Bees: check for outliers in
    B-factor distribution of amino-carbonylo group of GLN and ASNs

  o Fix Symmetry CA alt conf bonding problem [Randy Read]

  o Adjust SE bonding (no more crazy-long Se bonds)

  o "Place Helix Here" improvements.  Substantially better now

  o Fix occasional crash when reversing chain direction

  o Fix probe dots problem [Sabine Schneider]

  o Fix code where Coot failed to find CCP4 Monomer library

  o Exit gracefully on window manager kill

  o Mutate to residue stub

  o Don't reset the bond width on "Undo"

  o Side-by-side stereo

  o Secondard structure restraints in regularize and refine zone.

  o Don't flip back to all-atom mode when using Rotate/Translate in 
    CA mode

  o Skeleton drawing speedup [Ezra Peisach]

  o Exchange chain-id -> segid for ribosome-building and other
    many-chain pdb users

  o Added UNK support for Buccaneering

  o If no phased in input MTZ file, try to run refmac to make an MTZ
    with phases

  o Read shelx .lst file to provide feedback from refinement (split
    atoms?)

  o Map sampling rate saved in session file [Bob Nolte]

  o Green bonds no longer left behind on Edit Chi Angles finish [Bob Nolte]

  o Optionally run refinement after terminal residue addition.  This is 
    a good thing and will probably become the default in a later release

  o Optional embedded MySQL database client - history stored in database 
    on the fly

  o NCS Master copy -> others fix

  o Generic gui code added for easy building of extension guis

  o Fix crash when rendering when there are no graphics [Tim Gruene]

  o Colour by Chain now respects the "Colour Carbons Only" state [Phil Evans]

  o New function new-molecule-by-residue-type-selection [Nino Campobasso]

  o Mask molecule by atom selection [Roberto Steiner]


Release 0.1.2 "Athenian Bride"

  o Fix occasional crash on Auto-Read MTZ file

  o Fix occasional crash when reading CCP4 maps [James Murray]

  o Fix crash when showing the Anisotropic Atoms dialog

  o Create NCS ghosts used to do nothing sometimes.  Fixed.

  o NCS application of master-chain residue range fixed [Panagis
    Filippakopoulos]

  o Ideal Helix Nucleotide-builder can now use upper-cased letters
    [Bill Scott, Tassos Perrakis]

  o Ideal Nucleotide helix anti-sense chain residues now in the
    correct order [Bill Scott]

  o Fix output of FVAR values and coordinates in shelx .ins file
    [Doug Kuntz]

  o Can now pre-filter (as well as pre-sort of course) files in the
    fileselection [Phil Evans]

  o Fix bug in validation graph causing occasional crash and non-expansion 
    [Ulrich Englich, Doug Kuntz]

  o Add insertion-code improvement for sequence view, status bar and
    Ramachandran Plot [Ezra Peisach]
 
  o Save and restore "layout" of major dialogs from state file [Bob Nolte]

  o Conformer searching for multi-torsion ligands improved

  o findligand can now do conformer search [Markus Kroemer]

  o Monomer library text search GUI

  o Fix reading of probe output [Sabine Schneider]

  o Coot-Fffear interface fixed for molecules with atoms with B factor 0

  o Enable GUI extensions

  o "Move Molecule Here" GUI

  o Least-squares fit GUI

  o Flash bonds on Edit Chi Angles for easier identification

  o Pepflip now forces a graphics redraw [Kevin Madauss]

  o cns->coot script added

  o New scripting window layout

  o Fileselections keep their re-size

  o Enable default bond-width

  o Add a function to write a residue range to a pdb file [Nigel Moriarty]

  o Lots of fixes for Windows Coot and Intel Mac Coot [Francois
    Remacle, Lynn Ten Eyck]

  o Still remaining problems: occasional crash on SSM (bug in SSM
    lib), occasional crash when baton-building (can't reproduce)


--- 

Release 0.1.1 "New Groom"

  o The display unit cell radio buttons now have immediate effect
    (rather than having to press the "Apply" button).  Unit cells for
    maps are also displayed [Phil Evans].

  o You can now zoom AND pan Ramachandran and Kleywegt Plots.

  o Kleywegt Plots are properly updated on model modification and undo
    [Gabor Bunkoczi]
 
  o You can no longer have more than one sequence view for each
    molecule [fixes a crash, Mark Brooks].

  o Spin molecule added to GUI

  o User-typed Pointer Atom now has sensible attributes [Brad Bennett]

  o Add Atom/water occupancy problem [was often set to 11.0] corrected
    [Iain Kerr]

  o Simple Mutate on nucleotide now works again [Colin McVey]

  o Nucleotide-builder added [Bill Scott, Tassos Perrakis]

  o "Near Chains" symmetry fixed [Sabine Schneider]

  o Probe clashes added to validation GUI.

  o generic "go to interesting things" GUI created.

  o Planar peptide restraint mechanism changed.

  o Changing map radius now has an "Apply" button [Roberto Steiner].

  o Many internal changes, particularly to support MS Visual Studio
    build of coot.

---



Release 0.1.0 "New Broom"

I'd like to particularly thank to following following for criticisms,
building the test versions, suggestions and other feedback:

George Sheldrick, Bill Scott, Jan Richardson, Ezra Peisach, Dirk
Kostrewa, Chris (Chuck) Tan.

 o Switched over to CCP4 distribution of dependency libraries, dataset
   and xtal info now available in MTZ column selection

 o Per molecule colouring [Partha's Wish List No 1]

 o download coords and sfs from EDS [notes from Gerard Kleywegt]

 o difference map peaks now positioned correctly arround the molecule

 o Coot can now be used on the command line, without starting up
   graphics interface

 o fix "CA + ligands" colouring [Judit Debreczeni]

 o symmetry display, picking and labelling re-worked

 o residue edits mechanism changed [again!]

 o fill-partial-residues function [or "de-chainsaw" as I sometimes call it]

 o multiple blob dialogs now works as expected [Airlie McCoy]

 o Fixed non-refining problem in rigid body fit

 o creating alt conf of waters fixed [Tracy Gloster]

 o function to reverse the direction of a CA chain [Phil Evans]

 o 180 degree side chain flip [Gideon Davies]

 o add helix function [with engine from Kevin Cowtan] [Partha's Wish List No 5]

 o Keyboard accelerators for Accept/Reject Refinement dialog [Frank von Delft]

 o inappropriately invalid rotamers removed from rotamer graph for PHE 
   and TYR

 o screenshot GUI interface, with povray (with help from Neil "The Boy" 
   Paterson) and raster3D output (the povray z-orientation is wrong
   and the lighting is poor)

 o fix water distance check
 
 o Re-worked SHELX input and output (with assistance of George Sheldrick).

 o (another-level) used to crash Coot when the map was not from an MTZ file. 
   Fixed.

 o new "fit waters" scripting function [Bob Nolte]

 o fix wrong chain water addition bug

 o various dialog are now transiented (float on top of main window)
   and remember where they were put (instead of appearing in the centre 
   of the screen every time)

 o partial charges are now optional in monomer dictionary [Ian Tickle]

 o fix scroll wheel handling when the map has not been set [fixes
   unscrollable maps problem] [Adrian Lapthorn]

 o new surface code from Martin Noble [no more speckles!]

 o new mgtree code from Stuart McNicholas [proline rotamers work!]

 o scrolled window code for options in ligand fitting dialog [Jurgen Bosch]

 o add export-map function

 o re-write water fitting code

 o re-write ligand fitting code

 o fix problem of refining next to a residue with an alt conf

 o Rotate/Translate Zone on an atom with an alt conf moves only atoms in the 
   zone with the same altconf [Bob Nolte, Artem Lyubimov]

 o correct occupancy of remaining atoms in a residue after removing an
   alt conf

 o correct occupancy of remaining atoms in a residue after adding an
   alt conf

 o NCS ghost control re-written [Jade Li]

 o Dotted spheres for atoms [Partha's Wish List Item No 2?]

 o SMILES interface to libcheck

 o Generic Objects

 o Probe&Reduce interface

 o Can now read read Refmac cif dictionary for pyranoses and furanoses 

 o Glycosidic linkages.

 o Generic Key-press hook added [enables Partha Wish List No 8]

 o Least-squares plane GUI

 o Bonding algorithm re-worked (but it still can't draw MES properly)

 o All usable scripting functions are now documented (and on the web)

 o Ramachandran Difference Plot renamed as "Kleywegt Plot" and made to
   work.

 o Get Monomer fails for normal dictionary monomers (e.g, ATP, 3GP,
   GOL) etc when a dictionary (for something else) has already been
   read into Coot using File -> Import CIF Dictionary.

 o Missing (undrawn) bonds can still be a problem.


Relase 0.0.33 "Sicilian Rainbow"

Several of these updates were made in Erice (hence "Sicilian")

 o Fix occasional/esoteric crash with Refine Zone on a Water [Joel
   Bard].

 o Checking chiral volumes now gives a result even if not all the
   restraints are found.

 o A new CIF file with restraints now overrides the old one of the
   same monomer name [Charlie Bond].

 o Incorporate code from Kevin to determine the resolution limits for
   map from the available data, not the resolution in the MTZ file
   [EJD].

 o Refmac dictionary reference added to startup text.

 o Homology level for NCS determination exposed at the scripting
   layer.

 o Applied Ezra's map display updates [2-3% speed increase].

 o findwaters improved [Martyn Winn].

 o Find Waters now adds to the water molecule (rather than creating a
   new chain)

 o Cleared up memory leak in bond allocation, I hope [Joel Bard and
   others].

 o "Undo Last Navigation" has a home in the GUI.

 o Update to newest mmdb libs and use the IgnoreHash flag so that Coot
   can read molrep files with # comments.

 o On reading a PDB, Hydrogen names with column 0 numbers are
   corrected according to REFMAC convention.

 o command line program: fix-nomenclature-errors created.

 o Delete Zone reworked.

 o Delete Item now has "Water" entry.  Waters can no longer be deleted
   when "Delete Residue" is active and residues can't be deleted when
   "Delete Water" is active.  This is a good thing and reduces
   mis-clicking [Paul Rowland].

 o Fixed problem of Delete dialog getting stuck in delete-hydrogens
   mode.

 o Symmetry display re-worked.  After superposition, turn off the
   molecule symmetry [EP].  This may affect a few .coot and saved
   sesion files.  The set-show-symmetry function is
   no-longer available, use set-show-symmetry-master instead.

 o Fix a crash when closing the window of a Sequence View of a closed
   molecule.

 o Residue Info reworked.  Now we have a master atom.

 o Changed colours of the model/fit/refine dialog in the cootrc.  I
   did this in Erice (hence "Rainbow").

 o Display Manager reworked.  Now remembers where it was put last
   time, what the size and shape was too.  Also, re-worked to use a
   pane to provide a user-changable divider between molecules and
   maps [FvD].

 o Shelx input considerably re-worked with the assistance of GMS. I
   hope Coot can reaad all shelx ins/res files now - even
   centrosymetric small molecules.

 o Shelx compabibility: .pha files are considered as .phs files.

 o Shelx compabibility: .hat files are considered as .ins files.

 o Mutate Sequence dialog auto fit check-button fixed.

 o Reworked the Go To Atom and other Coordinates Molecules option
   menus.  The Go To Atom option menu should now be consistent with the
   residues tree.

 o Difference Map peaks search now tries to put the peaks around a
   molecule, rather than in the map asymmetric unit [PRE FRS]

 o Bad Chiral Volumes now writes to the console when it can't find the
   restraints for a monomer type [Marianne Cuff].

 o print-sequence and print-sequence-chain write to the console, so
   that now coot can do what pdbset's SEQU SING does.

 o Removed the slow and nearly pointless "Import all Dictionary CIFs"
   from the menu.

 o (Jones) "Rainbow" CA colouring mode.  I decided to add this after
   listening to Alywn at the ACA 2005 Patterson symposium.

 o Included various cleanups from Ezra Peisach.

 o Included multi-molecule bond display speed up from Ezra Peisach.

 o "Missing Atoms" in rotamer analysis are plotted as blue instead of
   red [Qingping Xu].

 o Residues with negative numbers now work in the Go To Atom dialog
   [Qingping Xu].

 o Residue type MSE no longer gives "Missing Atoms" error in Rotamer
   Analysis graph [Juergen Bosch].

 o Rotamer graph now updates on model modification [Juergen Bosch].

 o linkage type between neighbouring and flanking residues now
   dependent on the chem_comp.group value in the restraint for the
   residue types [which means that ligands with C, N atoms and
   consecutive numbering don't get linked and fly away] [Bob Nolte].

 o pick cursor index now changable from the scripting layer [Bob
   Nolte].

 o Rotate/Translate in CA bonds mode moves a CA representation (no
   longer a full atom representation).

 o Resolution limits frame in the MTZ column selection widget now
   under the control of the check button.  This improves the usability
   [EJD].

 o Pointer distances now only displayed to displayed molecules
   [Stephen Graham].

 o Reset View has animated zoom - rather than jump zoom.

 o --auto command line argument for autoreading MTZ files [Randy Read].

 o cis <-> trans conversion [Randy Read, Pierre Rizkallah].

 o user-level hooks available for "." and "," pressed [Charlie Bond].

 o skeleton colouring improved [Stephen Graham].

 o Symmetry control re-worked.  Not it is possible to undisplay
   symmetry of various molecules.  Molecules having undergone SSM
   Superposition no longer have their symmetry displayed by default
   [Ezra Peisach].

 o Change the splash screen.

  


Release 0.0.32 "Oranger Hat"

This month, not so much. Been busy with other things as may become
apparent at some stage.  

Anyway, this I am putting out without fully testing, there may be
"funny pick mode" problems - it happened to me once but things got
better using "Clear Pending Picks".

There are several improvements that I don't want to sit on any
longer.


 o Crash on read, close, read, next residue. Fixed.  [Neil Paterson]

 o Animated initial refinement [Kevin]

 o Mutation of nucleic acids [Bill Scott]

 o Change Chain ID GUI [Jan Abendroth]

 o Coot now no longer allows the undoing of changes to a molecule that
   is not displayed [this is not an ideal interface and will be improved
   in future].

 o Fix occasional problem of unreadable MTZ columns [Peter Zwart, Joel
   Bard].

 o Using Ctrl-Z to undo a modification on a second molecule lead to
   problem with subsequently unclickable atoms.  Fixed.

 o Many widgets are now marked as transients (anti-submarined
   (i.e. "stay on top")).  A few of them now remember where they were
   put last time (let me know if there are other dialogs that should
   also be anti-submarined)

 o Multi-model C-alpha mode now available for NMR models [Ezra Peisach]

 o Negative levels in difference maps no longer truncated [Charlie Bond]

 o "Save State" now brings up a fileselection dialog instead of
   writing to an unchangable file name [Dirk Kostrewa]

 o Difference maps read from state file maintain their colour map
   rotation if difference map colours are swapped [Dirk Kostrewa]

 o "Strict NCS" concept added.  The addition of a Strict NCS matrix
   will allow the "expansion" of molecules in the same way that normal
   symmetry does.  Useful for molecules refined with strict NCS in
   CNS (like viruses), I hope (still "in development") [Jonathan
   Grimes/River]

 o "Undo last navigation" bound to "U" key [FvD]

 o Rotate/Translate objects can now be rotated from the keyboard (use
   Ctrl left-mouse and click away from the intermediate atoms) [Artem
   Evdokimov]

 o After Auto-read MTZ, the "scroll" map is the FWT/PHWT map, not the
   difference map [Randy Read]

 o Coot now honours your umask when it creates coot-backup [Gabor
   Bunkoczi]

 o You can turn off the map scrolling by the scroll wheel [Phil Evans]

 o New function to fix nomenclature errors.

 o The top of the Coot's hat on the splashscreen is now more orange -
   less Tajikistan and more India [Neil Paterson].


---

Release 0.0.31 "Anniversary (Indian Hat) Release"

Many of these changes were written during the recent sleepless nights
in Bangalore.  

Coot is officially 1 today... Does that mean we'll get sensible
release numbering..?  Haha not yet!

 o "Scroll" radio button in the Display Manager to ease the changing
   of the scrolling map [at long last, eh Charlie?]

 o Some drawing speed-up code suggested by Mike Hartshorn.  On testing
   I got 40-50% improved frame rates - YMMV.

 o Fit Loop exported to GUI.

 o Now you can undo the deletion of a residue for a molecule that
   contains a single residue [Joel Bard].

 o Reset View on the menubar.

 o Turn off the cell when either its map or molecule are not displayed.

 o Ctrl-Right mouse now does clipping change (up/down) and
   z-translation (left/right) [actually, this is a more or less a
   feature that Frank liked in Pymol and was in the previous
   release too, but I forgot to mention it] [FvD].

 o Symmetry atom pick, now we can pick any symmetry atom (not just
   ones close to the centre) [PRE bug].

 o Don't draw hydrogen atom in the rendered image when they are not
   displayed [Robin Owen].

 o Internal changes so that the 0th molecule can have a colour change
   too.

 o Diagnostic output checking the reference-structures directory at
   start.

 o Fixed some of Ezra's non-initialized variable warnings.

 o guile auxilary code change from guile-www to net-http.  This will
   affect those who compile.  Considerable speed-up in downloading PDB
   files from an OCA server.

 o More status bar messages.

 o Fixed several option menus that didn't alter the molecule that they
   said they would.

 o Fixed crash on multiple deletes then refine zone.

 o Some functions now say in the console what their script version is.
   (print-all-history-in-scheme) gives a history of commands.  The
   coverage is rather spartan at the moment.

 o Lots of documentation updates, now makeinfo is happy.


--

Release 0.0.30 

 Not much this week, I've been ill and have been improving
 documentation.
 
 o Broken hardware stereo fixed.

 o Delete item now move cursor into "pick-cursor" mode

 o Applied torsionable ligand patch from Joel Bard [not the latest
   one]

 o Several internal changes suggested by Ezra Peisach to build with
   sgi CC.


--

Release 0.0.29

This release fixes the botched 0.0.28 version.  There are some feature
requests too.

 o Status bar: has atom pick info and other things [Jan Dohnalek]

 o Now we can colour by molecule too [Andrea Olland]

 o Update go to atom molecule on close molecule [Phil Evans]

 o Measure Torsions [Joel Bard]

 o Use masked map for scoring of orientations in ligand fitting [experimental]

 o Fixed merging molecule chain problems [Harvard oops]

 o Fixed problem of addition pointer atom residue numbers [Wyeth demo oops]

 o Don't write out wiggly ligand models

 o Use group-settings to unset display lists for maps if uname is Linux
   [by popular demand]

 o Add optional atom-based scoring for residue-density-fit

 o new scheme function: fit-protein which does rotamer search and
   refinement for each residue in the molecule.  Sit back with feet up and
   and watch the fun job.

 o Use the masked map to score ligand positions rather than the
   unmasked map.

 o Makefile.am fix [Bill Scott]

 o configure.in fix [Ezra Peisach]

 o Documentation updates (including the F8 key).

--

Coot-0.0.28 release notes

This is a bug-fix release with a few feature requests added.

 o A crash and generally woolly thinking has been fixed in the Align &
   Mutate function

 o After a chat with Martin Noble, display lists have (optionally)
   been added for maps.  It is not clear if this will help on your
   hardware - for me, it makes my PC worse but my Mac faster.  This
   may address the concerns of Phil Evans and Andrea Schmidt.
   Map display lists are on by default.  To turn it off:
   (set-display-lists-for-maps 0)

 o Delete Item on a symmetry related item now deletes the real item
   (and consequently symmetry copies).

 o Flexible ligands are now pre-regularized (anti-bumped) after
   torsion angle manipulation

 o Chi Angles for MSE fixed [Marianne Cuff/Phil Evans]

 o Chi Angles values displayed [Dirk Kostrewa]

 o New function: de-clash (see documentation) for de-clashing
   sidechains without a map [Kay Diederichs] (Clashing waters can be
   deleted with the validation water checker).

 o Cancel on the Map Colour Selector actually cancels the colour
   selection and takes you back to the colour you first started with
   (instead of doing nothing) [Many people doing the tutorial at
   Grenoble found this one]

 o NCS sequence comparison improved [Adrian Lapthorn].

 o Water searching now tells us the distance parameters it is using.

 o Delete Item now has a checkbutton to keep the dialog alive [Adrian
   Lapthorn]

 o Fix SSM configuration problem [Joseph Toth]

 o Double-click during Refinement gives 2 "Accept Refinement?"
   dialogs.  Fixed. [EJD]

 o Density fit for residue now auto-updates on accepting refined
   residues

 o Various internal updates to make Windows port easier

 o Various documentation updates

   I had been having problems keeping the documentation
   in order - but now I think that the manual will appear spookily up
   to date.

--


coot-0.0.27 has been released.

Fixes issues raised by Kate Kavanagh (alignment and mutate chain
problems), Adrian Lapthorn (coloured intermediate atoms), Ian Tickle
(brief atom labels), Marianne Cuff (water/ligand addition problems).


--

coot-0.0.26

I made an important oversight in 0.0.25.  The ccp4mg utils function
Tree used in chi angles and rotamers was modified and I forgot to
update one of its uses (the rotamers).

So I am releasing 0.0.26 as a fix.

On the plus side, this version has a couple of other fixes and has a
least squares interface and shelx interface that are getting released
sooner than I had planned (these aren't documented in the web pdf
manual yet).

--

0.0.25 has been released.

Updates include:

o fixed crash on .phs data but no symmetry for molecules

o fixed N-terminal add terminal residue crash

o fixed crash on rot/trans of alt-conf selection [thanks Stephen Graham]

o Added chain chooser to SSM superposition

o Fixed symmetry atom picking (which sometimes gave spurious hits)

o more annotation for SSM overlapping results (work still to be done
  here, thanks for testing: MOL)

o NCS tool: Edit -> Bond Parameters now has NCS "ghosts" available for
  display (overlay B chain on A chain)

    e.g. http://www.ysbl.york.ac.uk/~emsley/coot/screenshots/coot-ncs-ghosts.png
    The result of a chat with Charlie Bond at Galashiels

o NCS tool: Calculate -> NCS maps: i.e. e.g. overlay map for molecule
  B on molecule A. Does averaging also.

o Fixed various Makefile.am problems [thanks Joseph Toth]

o Real Space Refinement of Water atom now available (it actually does
  a rigid body fit)

o Pointer distances (distances to the pointer - so that you don't have
  to add an atom to a structure before you know the distance of a blob
  centre to the protein atoms)

o Various fixes trying to get rid of accidental "Translate Only" mode

o Delete atoms from the structure "on top" when multiple structures
  overlaid (more work to be done here it's still too easy to
  accidently delete stuff "at the back")

o Fixed occasional problem with MTZ column label checking

o "Filename filter always on" option (needs more intricate widget work)

o moved from COOT_RESOURCES to COOT_PIXMAP (coot will have icons one day)

o fixed occasional discrepancy between the bond parameter molecule
  option menu and the molecule of the bond parameter options

o fixed python function state naming problem [thanks Bernhard]

o Water masking is no longer optional in water search [forced on].  No
  longer possible to put waters on top of existing waters

o Water checker validation tool now available [about 10 months after
  Florence asked for it]

o Experimental "Align and Mutate" feature for Molecular Replacement models

o Option to allow the swapping of colours after refmac (so that the
  new map has the same colour as the pre-refmac map

o difference maps are now by default shown after running refmac

o Tassos encourages the use of "Real Space Refinement" label

o Clicking on "RS Refine Zone" while the delete window is open no
  longer deletes the residue

o Turn off skeletons properly now

o Rendered images now contain balls (as well as sticks)

o In Ca-mode, Coot no longer "runs out of colours" past the 8th chain

o Several corrections to enable compilation without the GSL (but not
  recommended)

o Fix typo in contouring algorithm that occasionally deleted a
  contouring line [thanks Ezra]

o Bond parameters dialog now has slider for colour map rotation - much
  better than text entry

o Fixed "No solvent" view atom indexing problems [thanks Ward Smith]

o Fixed the mask inversion, so we can easily make nice piccies like this:
  http://www.ysbl.york.ac.uk/~emsley/coot/screenshots/coot-mask-raster3d.png

o Now using newest CCP4mg code for atom tree (ligand chi angles).
  Note that the tree is built using the clicked atom as its base -
  this is still under development (I'm not happy with it) but may
  improve things

o I'd had a few reports that there were gaps when using Ca Zone ->
  Mainchain. So I tinkered with a couple of filtering parameters -
  lets see how it goes...

o citation banner enabled [the Coot paper has been published - yey!].
  Splash screen amended too


--

coot-0.0.24 has been released.

o Added IRIX case to setup scripts and added COOT_REF_STRUCTS.
  Hopefully that'll put these problems to bed.

o Check the bonds type before making bonds after setting hydrogen bond
  drawing state (Charlie Bond's bug)

o Calphas + Ligands in Sec. Struct. colouring now works (ditto)

o Added a few GUI warnings as per Ezra's suggestion

o Go To Atom widget residue tree improved

o Fixed-up ligand searching dialog - no longer crashes at execute time
  when no ligands found.  Re-worked so that the searching dialog doesn't
  appear unless there are ligands available.

o Re-write of map colour selection and scroll-wheel attachment code.
  Now the maps are enumerated and one doesn't get the option of
  changing the colour of closed maps

o COOT_SCHEME_DIR and hard-wired default directory searching logic
  change

o insertion code support for Go To atom: now Coot displays the
  insertion code in the (graphics) atom label and in the Go To Atom
  residue tree item labels and double clicking on such a thing goes to
  the right residue (you still can't refine it when you get there
  however)

o one can no longer add Pointer Atoms to closed molecules

o Refmac running extra parameters code cleaned up

o Downloaded files go now to directory coot-download, not .coot

o MSE standard residue more sensible now (apparent after mutate
  residue to MSE)

o Substantial re-write of atom naming code in dictionary reading.
  Still not all correct yet but better than it was - it may even be
  faster to generate the geometric validation graph.  Coot can now
  refine NAD and MSE (MSE chi angles still fails).


